;ͻ
;Metal Warrior I loading picture & music                                      
;Programmed in 6/2000 (for MW3)                                               
;Adapted in 2/2002 for MW1                                                    
;ͼ

                include define.s

                processor 6502
                org $c000

                jmp showpic
                jmp fademusic

showpic:        ldx #$00
                sei
showpicloop:    ldy #$34
                sty $01
showpic_lda:    lda $dc00,x
                ldy #$36
                sty $01
showpic_sta:    sta $d800,x
                inx
                bne showpicloop
                inc showpic_lda+2
                inc showpic_sta+2
                lda showpic_sta+2
                cmp #$dc
                bne showpicloop
                cli
                lda #$00
                sta $d015
                sta $d020
                sta $d021
                lda $dd00
                and #$fc
                sta $dd00
                lda #$18
                sta $d016
                lda #$68
                sta $d018
                lda #59
                sta $d011
                lda cfg_usefastload
                beq skipmusic
initmusic:      lda #$01                        ;Init tune 1
                sta $c801
                sei
                lda #<raster
                sta $0314
                lda #>raster
                sta $0315
                lda #$7f                        ;Set timer interrupt off
                sta $dc0d
                lda #$01                        ;Set raster interrupt on
                sta $d01a
                lda #$fa                        ;Set low bits of raster
                sta $d012                       ;position
                lda $dc0d                       ;Acknowledge timer interrupt
                cli
skipmusic:      rts

fademusic:      lda #1
                sta pm_fade+1
fademusic_wait: lda pm_volume+1
                bne fademusic_wait
                sei
                lda #$00
                sta $d418
                lda #<$ea31
                sta $0314
                lda #>$ea31
                sta $0315
                lda #$00
                sta $d01a
                lda #$81
                sta $dc0d
                inc $d019
                cli
                rts

raster:         inc $d019
                jsr $c800
                inc rastercount
                jmp $ea81

                org $c800
                include lmusic.s

                org $d800
                incbin loadpic.raw
