;ͻ
;MW loading music, musicroutine 7                                             
;ͼ

tmp1            = $fb
tmp2            = $fc
tmp3            = $fd
tmp4            = $fe

C0              = 0
CS0             = 1
D0              = 2
DS0             = 3
E0              = 4
F0              = 5
FS0             = 6
G0              = 7
GS0             = 8
A0              = 9
AS0             = 10
H0              = 11
C1              = 12
CS1             = 13
D1              = 14
DS1             = 15
E1              = 16
F1              = 17
FS1             = 18
G1              = 19
GS1             = 20
A1              = 21
AS1             = 22
H1              = 23
C2              = 24
CS2             = 25
D2              = 26
DS2             = 27
E2              = 28
F2              = 29
FS2             = 30
G2              = 31
GS2             = 32
A2              = 33
AS2             = 34
H2              = 35
C3              = 36
CS3             = 37
D3              = 38
DS3             = 39
E3              = 40
F3              = 41
FS3             = 42
G3              = 43
GS3             = 44
A3              = 45
AS3             = 46
H3              = 47
C4              = 48
CS4             = 49
D4              = 50
DS4             = 51
E4              = 52
F4              = 53
FS4             = 54
G4              = 55
GS4             = 56
A4              = 57
AS4             = 58
H4              = 59
C5              = 60
CS5             = 61
D5              = 62
DS5             = 63
E5              = 64
F5              = 65
FS5             = 66
G5              = 67
GS5             = 68
A5              = 69
AS5             = 70
H5              = 71
C6              = 72
CS6             = 73
D6              = 74
DS6             = 75
E6              = 76
F6              = 77
FS6             = 78
G6              = 79

ARP             = $50
SND             = $60
SLIDE           = $80
DUR             = $90
REST            = $fd
CONT            = $fe
ENDPATT         = $ff

TR              = $e0
ENDSONG         = $fe
RESTART         = $ff

                processor 6502

playmusic:      lda #$01
                beq pm_play
                bpl pm_init
                rts
pm_init:        sta tmp1
                asl
                adc tmp1
                sbc #2
                sta tmp3
                lda #$0f
                sta pm_volume+1
                lda #$00
                sta pm_fade+1
                ldx #$14
pm_resetloop:   sta chn_counter,x
                sta $d400,x
                dex
                bpl pm_resetloop
                sta playmusic+1
                sta pm_fltindex+1
                sta pm_fltctrl+1
                sta $d415
                tax
pm_initloop:    lda tmp3
                sta chn_songnum,x
                jsr pm_getpattern
                inc tmp3
                lda chn_nextchn,x
                tax
                bne pm_initloop
                rts

pm_play:        ldx #$00
pm_playloop:    lda chn_counter,x
                beq pm_newnote
                bmi pm_initnote
                jmp pm_dopulse

pm_initnote:    ldy chn_sndnum,x
                lda chn_duration,x
                sec
                sbc #$01
                sta chn_counter,x
                lda snd_pulse,y
                and #$0f
                sta chn_pulsehi,x
                lda snd_arpindex,y
                sta chn_arpindex,x
                lda snd_vibdelay,y
                sta chn_vibdelay,x
                lda snd_vibdepth,y
                and #$0f
                lsr
                sta chn_vibcount,x
                lda snd_fltindex,y
                beq pm_noflt
                tay
                lda flttbl-1,y
                sta pm_cutoff+1
                lda flttbl,y
                sta pm_fltctrl+1
                iny
                iny
                sty pm_fltindex+1
                lda #$00
                sta pm_flttime+1
pm_noflt:       sta chn_pulselo,x
                sta chn_pulsedir,x
                sta chn_vibdir,x
                sta chn_slidespd,x
                jmp pm_doarp

pm_newnote:     ldy chn_pattnum,x
                lda patttbllo,y
                sta tmp1
                lda patttblhi,y
                sta tmp2
                ldy chn_pattindex,x
pm_newnoteloop: lda (tmp1),y
                bmi pm_neg
                iny
                cmp #ARP
                bcc pm_note
                cmp #SND
                bcc pm_setarp
pm_setsnd:      sbc #SND
                asl
                asl
                asl
                sta chn_sndnum,x
                bcc pm_newnoteloop
pm_setarp:      sbc #ARP-1
                sty tmp3
                tay
                lda arpchgtbl,y
                ldy chn_sndnum,x
                sta snd_arpindex,y
                ldy tmp3
                bcs pm_newnoteloop
pm_neg:         iny
                cmp #DUR
                bcc pm_setslide
pm_dur:         cmp #REST
                beq pm_rest
                bcs pm_contnote
                sbc #DUR-1
                sta chn_duration,x
                bne pm_newnoteloop
pm_setslide:    sbc #SLIDE-1
                sty tmp3
                tay
                lda slidespdtbl,y
                sta chn_slidespd,x
                ldy tmp3
                lda (tmp1),y
                clc
                adc chn_trans,x
                sta chn_note,x
                iny
                bne pm_contnote
pm_rest:        jsr pm_gateoff
pm_contnote:    jsr pm_checkendpatt
                lda chn_duration,x
                sta chn_counter,x
                bne pm_dopulse
pm_note:        clc
                adc chn_trans,x
                sta chn_note,x
                jsr pm_gateoff
                lda #$ff
                sta chn_counter,x
                jsr pm_checkendpatt
                jmp pm_nextchn

pm_dopulse:     ldy chn_sndnum,x
                lda snd_pulse,y
                and #$f0
                beq pm_doarp
                sta tmp3
                lda chn_pulsedir,x
                inx
                and #$01
                bne pm_pulsedown
pm_pulseup:     jsr pm_frequp
                dex
                lda snd_pulselim,y
                and #$0f
                cmp chn_pulsehi,x
                bcs pm_doarp
pm_pulsedir:    inc chn_pulsedir,x
                jmp pm_doarp
pm_pulsedown:   jsr pm_freqdown
                dex
                lda snd_pulselim,y
                lsr
                lsr
                lsr
                lsr
                cmp chn_pulsehi,x
                bcs pm_pulsedir

pm_doarp:       lda chn_arpindex,x
                beq pm_dovib
pm_arpgoback:   tay
                lda arptbl-1,y
                bpl pm_relarp
                cmp #$d0
                bcc pm_absarp
                cmp #$ff
                bne pm_absarp2
pm_arpjump:     lda arptbl,y
                bne pm_arpgoback
                sta chn_arpindex,x
                jmp pm_deccounter
pm_absarp2:     sbc #$e0-1
                clc
                adc chn_note,x
pm_absarp:      asl
                sta tmp3
                lda arptbl,y
                sta chn_waveform,x
                iny
                bne pm_arpfreq
pm_relarp:      clc
                adc chn_note,x
                asl
                sta tmp3
pm_arpfreq:     iny
                tya
                sta chn_arpindex,x
                ldy tmp3
                lda freqtbl,y
                sta chn_freqlo,x
                lda freqtbl+1,y
                sta chn_freqhi,x
                jmp pm_deccounter

pm_dovib:       lda chn_slidespd,x
                bne pm_doslide
                lda chn_vibdelay,x
                bmi pm_deccounter
                beq pm_vibok
                dec chn_vibdelay,x
                bpl pm_deccounter
pm_vibok:       lda snd_vibdepth,y
                and #$f0
                sta tmp3
                lda chn_vibdir,x
                and #$01
                bne pm_vibdown
                jsr pm_frequp
                jmp pm_vibdir
pm_vibdown:     jsr pm_freqdown
pm_vibdir:      dec chn_vibcount,x
                bne pm_deccounter
                lda snd_vibdepth,y
                and #$0f
                sta chn_vibcount,x
                inc chn_vibdir,x
                jmp pm_deccounter

pm_doslide:     sta tmp3
                lda chn_note,x
                asl
                tay
                lda freqtbl,y
                sta tmp1
                lda freqtbl+1,y
                sta tmp2
                jsr pm_16bitcompare
                bcs pm_slidedown
pm_slideup:     jsr pm_frequp
pm_slupcheck:   jsr pm_16bitcompare
                bcs pm_slideready
                bcc pm_slidedone
pm_slidedown:   jsr pm_freqdown
pm_sldncheck:   jsr pm_16bitcompare
                bcs pm_slidedone
pm_slideready:  lda tmp1
                sta chn_freqlo,x
                lda tmp2
                sta chn_freqhi,x
                lda #$00
                sta chn_slidespd,x
pm_slidedone:

pm_deccounter:  dec chn_counter,x
                bne pm_nextchn
                lda chn_pattindex,x
                cmp #$ff
                bne pm_nextchn
                jsr pm_getpattern
pm_nextchn:     lda chn_pulselo,x
                sta $d402,x
                lda chn_pulsehi,x
                sta $d403,x
                lda chn_freqlo,x
                sta $d400,x
                lda chn_freqhi,x
                sta $d401,x
                lda chn_counter,x
                bmi pm_hard
                lda chn_waveform,x
                sta $d404,x
                ldy chn_sndnum,x
                lda snd_ad,y
                sta $d405,x
                lda snd_sr,y
                sta $d406,x
                jmp pm_adsrdone
pm_hard:        lda #$00
                sta $d404,x
                sta $d405,x
                sta $d406,x
pm_adsrdone:    lda chn_nextchn,x
                tax
                beq pm_alldone
                jmp pm_playloop
pm_alldone:
pm_fltindex:    ldy #$00
                beq pm_nofltchg
pm_flttime:     ldx #$00
                beq pm_getnewflt
                dex
                stx pm_flttime+1
                lda pm_cutoff+1
                clc
pm_cutoffspd:   adc #$00
                sta pm_cutoff+1
                jmp pm_nofltchg
pm_getnewflt:   lda flttbl-1,y
                cmp #$ff
                beq pm_fltjump
                sta pm_flttime+1
                lda flttbl,y
                sta pm_cutoffspd+1
pm_addpos:      iny
                iny
                sty pm_fltindex+1
                bne pm_nofltchg
pm_fltjump:     lda flttbl,y
                tay
                bne pm_getnewflt
                sta pm_fltindex+1
pm_nofltchg:
pm_cutoff:      lda #$00
                sta $d416
pm_fltctrl:     lda #$00
                tay
                and #$0f
                sta $d417
                tya
                and #$f0
pm_volume:      ora #$0f
                sta $d418
pm_fade:        lda #$00
                beq pm_nofade
                inc pm_fadecnt+1
pm_fadecnt:     lda #$00
                and #$07
                bne pm_nofade
                lda pm_volume+1
                beq pm_nofade
                dec pm_volume+1
pm_nofade:      rts

pm_checkendpatt:lda (tmp1),y
                cmp #$ff
                bne pm_noendpatt
                tay
pm_noendpatt:   tya
                sta chn_pattindex,x
                rts

pm_gateoff:     lda chn_waveform,x
                and #$fe
                sta chn_waveform,x
                rts

pm_frequp:      lda chn_freqlo,x
                clc
                adc tmp3
                sta chn_freqlo,x
                bcc pm_frequpdone
                inc chn_freqhi,x
pm_frequpdone:  rts

pm_freqdown:    lda chn_freqlo,x
                sec
                sbc tmp3
                sta chn_freqlo,x
                bcs pm_freqdowndone
                dec chn_freqhi,x
pm_freqdowndone:rts

pm_16bitcompare:lda chn_freqhi,x
                cmp tmp2
                beq pm_checklo
                rts
pm_checklo:     lda chn_freqlo,x
                cmp tmp1
                rts

pm_getpattern:  ldy chn_songnum,x
                lda songtbllo,y
                sta tmp1
                lda songtblhi,y
                sta tmp2
                lda #$00
                sta chn_pattindex,x
                ldy chn_songindex,x
pm_gploop:      lda (tmp1),y
                cmp #$c0
                bcs pm_special
                sta chn_pattnum,x
                iny
                tya
                sta chn_songindex,x
                rts
pm_special:     cmp #$fe
                bcs pm_restart
pm_settrans:    iny
                sbc #TR-1
pm_st2:         sta chn_trans,x
                jmp pm_gploop
pm_restart:     beq pm_endsong
                ldy #$00
                tya
                beq pm_st2
pm_endsong:     sta playmusic+1
                rts

songnum:        dc.b 0

chn_counter:    dc.b 0
chn_waveform:   dc.b 0
chn_songindex:  dc.b 0
chn_trans:      dc.b 0
chn_arpindex:   dc.b 0
chn_sndnum:     dc.b 0
chn_songnum:    dc.b 0

                dc.b 0,0,0,0,0,0,0
                dc.b 0,0,0,0,0,0,0

chn_pattnum:    dc.b 0
chn_pattindex:  dc.b 0
chn_note:       dc.b 0
chn_freqlo:     dc.b 0
chn_pulselo:    dc.b 0
chn_freqhi:     dc.b 0
chn_pulsehi:    dc.b 0

                dc.b 0,0,0,0,0,0,0
                dc.b 0,0,0,0,0,0,0

chn_duration:   dc.b 0
chn_slidespd:   dc.b 0
chn_vibdelay:   dc.b 0
chn_vibcount:   dc.b 0
chn_pulsedir:   dc.b 0
chn_vibdir:     dc.b 0
chn_nextchn:    dc.b 7

                dc.b 0,0,0,0,0,0,14
                dc.b 0,0,0,0,0,0,0

        ;Frequency table

freqtbl:        .word $10c,$11c,$12d,$13e,$151,$166,$17b,$191,$1a9
                .word $1c3,$1dd,$1fa,$218,$238,$25a,$27d,$2a3,$2cc
                .word $2f6,$323,$353,$386,$3bb,$3f4,$430,$470,$4b4
                .word $4fb,$545,$598,$5ed,$647,$6a7,$70c,$777,$7e9
                .word $861,$8e1,$968,$9f7,$a8f,$b30,$bda,$c8f,$d4e
                .word $e18,$eef,$fd2,$10c3,$11c3,$12d1,$13ef,$151f
                .word $1660,$17b5,$191e,$1a9c,$1c31,$1ddf,$1fa5,$2187
                .word $2386,$25a2,$27df,$2a3e,$2cc1,$2f6b,$323c,$3539
                .word $3863,$3bbe,$3f4b,$430f,$470c,$4b45,$4fbf,$547d
                .word $5983,$5ed6,$6479

;ͻ
;Sound data                                                                   
;ͼ

SND_BD          = 0
snd_ad:         dc.b $06
snd_sr:         dc.b $d3
snd_pulse:      dc.b $08
snd_pulselim:   dc.b $00
snd_vibdelay:   dc.b $ff
snd_vibdepth:   dc.b $00
snd_arpindex:   dc.b ARP_BD
snd_fltindex:   dc.b $00

SND_SNR         = 1
                dc.b $00
                dc.b $d8
                dc.b $08
                dc.b $00
                dc.b $ff
                dc.b $00
                dc.b ARP_SNR
                dc.b $00

SND_BASS        = 2
                dc.b $14
                dc.b $98
                dc.b $23
                dc.b $37
                dc.b $ff
                dc.b $00
                dc.b ARP_BASS
                dc.b $00

SND_CHORD       = 3
                dc.b $27
                dc.b $43
                dc.b $24
                dc.b $17
                dc.b $ff
                dc.b $00
                dc.b ARP_MINOR
                dc.b FLT_SWEEP1

SND_GTR         = 4
                dc.b $13
                dc.b $65
                dc.b $48
                dc.b $3b
                dc.b $00
                dc.b $63
                dc.b ARP_GTR
                dc.b FLT_SWEEP2

FLT_SWEEP1      = $01
flttbl:         dc.b $98,$11     ;1
                dc.b $01,$17     ;3
                dc.b $01,$e8     ;5
                dc.b $ff,$03     ;7

FLT_SWEEP2      = $09
                dc.b $e0,$11     ;9
                dc.b $12,$fc     ;b
                dc.b $ff,$00     ;d

ARP_BD          = $01
arptbl:         dc.b $ac,$41   ;1
                dc.b $c8,$81   ;3
                dc.b $a5,$41   ;5
                dc.b $9c,$40   ;7
                dc.b $ff,$00   ;9
ARP_SNR         = $0b
                dc.b $c6,$81   ;b
                dc.b $ae,$41   ;d
                dc.b $a8,$41   ;f
                dc.b $cf,$81   ;11
                dc.b $c1,$80   ;13
                dc.b $ff,$00   ;15
ARP_MINOR       = $17
                dc.b $db,$41   ;17
                dc.b $00       ;19
                dc.b $03       ;1a
                dc.b $07       ;1b
                dc.b $7b       ;1c
                dc.b $ff,$19   ;1d
ARP_MAJOR       = $1f
                dc.b $db,$41   ;1f
                dc.b $00       ;21
                dc.b $04       ;22
                dc.b $07       ;23
                dc.b $7b       ;24
                dc.b $ff,$21   ;25
ARP_MINOR2      = $27
                dc.b $e0,$41   ;27
                dc.b $03       ;29
                dc.b $07       ;2a
                dc.b $0c       ;2b
                dc.b $00       ;2c
                dc.b $ff,$29   ;2d
ARP_MAJOR2      = $2f
                dc.b $e0,$41   ;2f
                dc.b $04       ;31
                dc.b $07       ;32
                dc.b $0c       ;33
                dc.b $00       ;34
                dc.b $ff,$31   ;35
ARP_BASS        = $37
                dc.b $c8,$81   ;37
ARP_GTR         = $39
                dc.b $e0,$41   ;39
                dc.b $ff,$00   ;3b

slidespdtbl:    dc.b 30,40,50
arpchgtbl:      dc.b ARP_MINOR, ARP_MAJOR, ARP_MINOR2, ARP_MAJOR2

;ͻ
;Song data                                                                    
;ͼ

songtbllo:      dc.b <song1_chn1
                dc.b <song1_chn2
                dc.b <song1_chn3
songtblhi:      dc.b >song1_chn1
                dc.b >song1_chn2
                dc.b >song1_chn3

song1_chn1:     dc.b 2,3,2,4,5,6,5,7
                dc.b TR+1
                dc.b 2,3,2,4,5,6,5,7
                dc.b RESTART

song1_chn2:     dc.b 1,1,TR+7,1,1
                dc.b TR+0,1,8,TR-2,1,1
                dc.b TR+0,1,1,TR+7,1,1
                dc.b TR+0,1,8,TR-2,1,1
                dc.b TR+1,1,1,TR+8,1,1
                dc.b TR+1,1,8,TR-1,1,1
                dc.b TR+1,1,1,TR+8,1,1
                dc.b TR+1,1,8,TR-1,1,1
                dc.b RESTART

song1_chn3:     dc.b 0,0,0,0
                dc.b 0,0,0,9
                dc.b RESTART

patttbllo:      dc.b <patt0
                dc.b <patt1
                dc.b <patt2
                dc.b <patt3
                dc.b <patt4
                dc.b <patt5
                dc.b <patt6
                dc.b <patt7
                dc.b <patt8
                dc.b <patt9

patttblhi:      dc.b >patt0
                dc.b >patt1
                dc.b >patt2
                dc.b >patt3
                dc.b >patt4
                dc.b >patt5
                dc.b >patt6
                dc.b >patt7
                dc.b >patt8
                dc.b >patt9

patt0:          dc.b SND+SND_BD
                dc.b DUR+20
                dc.b C2
                dc.b SND+SND_SNR
                dc.b DUR+15
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2
                dc.b DUR+10
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2,CONT,ENDPATT

patt1:          dc.b SND+SND_BASS
                dc.b DUR+5
                dc.b D2,CONT
                dc.b D2
                dc.b D2
                dc.b D3,CONT
                dc.b D2
                dc.b D2,CONT,CONT
                dc.b D2
                dc.b D2
                dc.b D3,CONT
                dc.b D2
                dc.b D2,ENDPATT

patt2:          dc.b SND+SND_CHORD
                dc.b ARP+0
                dc.b DUR+40
                dc.b D4
                dc.b ARP+1
                dc.b DUR+15
                dc.b C5
                dc.b C5
                dc.b ARP+0
                dc.b DUR+50
                dc.b D5
                dc.b ARP+1
                dc.b DUR+15
                dc.b AS4,ENDPATT

patt3:          dc.b AS4
                dc.b DUR+85
                dc.b C5,CONT,ENDPATT

patt4:          dc.b ARP+2
                dc.b D5
                dc.b ARP+3
                dc.b DUR+85
                dc.b C5,CONT,ENDPATT

patt5:          dc.b SND+SND_GTR
                dc.b DUR+2
                dc.b G4
                dc.b DUR+38
                dc.b SLIDE+2,A4
                dc.b DUR+10
                dc.b A4
                dc.b G4
                dc.b D4
                dc.b DUR+2
                dc.b C5
                dc.b DUR+28
                dc.b SLIDE+2,D5
                dc.b DUR+10
                dc.b C5,CONT
                dc.b A4,CONT,ENDPATT

patt6:          dc.b F4
                dc.b DUR+2
                dc.b F4
                dc.b DUR+84
                dc.b SLIDE+1,G4,CONT,ENDPATT

patt7:          dc.b F5
                dc.b DUR+4
                dc.b F5
                dc.b FS5
                dc.b DUR+102
                dc.b G5
                dc.b DUR+60
                dc.b SLIDE+0,C0,ENDPATT

patt8:          dc.b D2,CONT
                dc.b D2
                dc.b D2
                dc.b D3,CONT
                dc.b D2
                dc.b AS1,CONT,CONT
                dc.b AS1
                dc.b AS1
                dc.b AS2,CONT
                dc.b AS1
                dc.b AS1,ENDPATT

patt9:          dc.b SND+SND_BD
                dc.b DUR+20
                dc.b C2
                dc.b SND+SND_SNR
                dc.b DUR+15
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2
                dc.b DUR+5
                dc.b C2,CONT
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b C2
                dc.b C2,ENDPATT




