;ͻ
;MW game music, musicroutine 7                                                
;ͼ

tmp1            = $fb
tmp2            = $fc
tmp3            = $fd
tmp4            = $fe

MUS_TITLE       = 1
MUS_CITY        = 2
MUS_FOREST      = 3
MUS_BASE        = 4
MUS_CAVERN      = 5
MUS_INSIDE      = 6
MUS_BOSSFIGHT   = 7
MUS_DEATH       = 8
MUS_HISCORE     = 9
MUS_CUTSCENE    = 10
MUS_BONUS       = 11
MUS_VICTORY     = 12
MUS_STOP        = 13

C0              = 0                     ;Symbolic names of notes
CS0             = 1
D0              = 2
DS0             = 3
E0              = 4
F0              = 5
FS0             = 6
G0              = 7
GS0             = 8
A0              = 9
AS0             = 10
H0              = 11
C1              = 12
CS1             = 13
D1              = 14
DS1             = 15
E1              = 16
F1              = 17
FS1             = 18
G1              = 19
GS1             = 20
A1              = 21
AS1             = 22
H1              = 23
C2              = 24
CS2             = 25
D2              = 26
DS2             = 27
E2              = 28
F2              = 29
FS2             = 30
G2              = 31
GS2             = 32
A2              = 33
AS2             = 34
H2              = 35
C3              = 36
CS3             = 37
D3              = 38
DS3             = 39
E3              = 40
F3              = 41
FS3             = 42
G3              = 43
GS3             = 44
A3              = 45
AS3             = 46
H3              = 47
C4              = 48
CS4             = 49
D4              = 50
DS4             = 51
E4              = 52
F4              = 53
FS4             = 54
G4              = 55
GS4             = 56
A4              = 57
AS4             = 58
H4              = 59
C5              = 60
CS5             = 61
D5              = 62
DS5             = 63
E5              = 64
F5              = 65
FS5             = 66
G5              = 67
GS5             = 68
A5              = 69
AS5             = 70
H5              = 71
C6              = 72
CS6             = 73
D6              = 74
DS6             = 75
E6              = 76
F6              = 77
FS6             = 78
G6              = 79

ARP             = $50
SND             = $60
SLIDE           = $80
DUR             = $90
REST            = $fd
CONT            = $fe
ENDPATT         = $ff

TR              = $e0
ENDSONG         = $fe
RESTART         = $ff

                processor 6502
                org MPLAYER
                                        ;Mode of operation:
playmusic:      lda #$ff                ;0     normal playing
                beq pm_play             ;1-126 initting the tune
                bpl pm_init             ;128+  no action
                rts                     ;Multiply songnumber by 3
pm_init:        sta tmp1
                asl
                adc tmp1                ;Subtract 3 for correct index
                sbc #$02
                sta tmp3
                lda #$0f
                sta pm_volume+1
                lda #$00
                sta pm_fade+1
                ldx #$14                ;Zero channel variables + sound chip
pm_resetloop:   sta chn_counter,x       ;registers
                sta $d400,x
                dex
                bpl pm_resetloop        ;Zero the mode (set to playmode)
                sta playmusic+1         ;Reset filter
                sta pm_fltindex+1
                sta pm_fltctrl+1        ;Zero the cutoff lowbyte
                sta $d415
                tax
pm_initloop:    lda tmp3
                sta chn_songnum,x
                jsr pm_getpattern
                inc tmp3
                lda chn_nextchn,x
                tax
                bne pm_initloop
                rts

pm_play:        ldx #$00
pm_playloop:    lda chn_counter,x
                beq pm_newnote
                bmi pm_initnote
                jmp pm_dopulse
                                        ;Take soundnumber
pm_initnote:    ldy chn_sndnum,x        ;Initialize note duration counter
                lda chn_duration,x
                sec
                sbc #$01
                sta chn_counter,x       ;Initialize pulsewidth
                lda snd_pulse,y
                and #$0f
                sta chn_pulsehi,x       ;Initialize arpeggio
                lda snd_arpindex,y
                sta chn_arpindex,x
                lda snd_vibdelay,y      ;Initialize vibrato
                sta chn_vibdelay,x
                lda snd_vibdepth,y
                and #$0f
                lsr
                sta chn_vibcount,x      ;Filterinit, if filter position nonzero
                lda snd_fltindex,y
                beq pm_noflt
                tay
                lda flttbl-1,y
                sta pm_cutoff+1
                lda flttbl,y
                sta pm_fltctrl+1
                iny
                iny
                sty pm_fltindex+1
                lda #$00
                sta pm_flttime+1
pm_noflt:       sta chn_pulselo,x
                sta chn_pulsedir,x
                sta chn_vibdir,x
                sta chn_slidespd,x      ;Arpeggio routine initializes frequency
                jmp pm_doarp            ;and waveform

pm_newnote:     ldy chn_pattnum,x
                lda patttbllo,y
                sta tmp1
                lda patttblhi,y
                sta tmp2
                ldy chn_pattindex,x     ;Check which command
pm_newnoteloop: lda (tmp1),y
                bmi pm_neg
                iny
                cmp #ARP
                bcc pm_note
                cmp #SND
                bcc pm_setarp
pm_setsnd:      sbc #SND
                asl
                asl
                asl
                sta chn_sndnum,x
                bcc pm_newnoteloop
pm_setarp:      sbc #ARP-1
                sty tmp3
                tay
                lda arpchgtbl,y
                ldy chn_sndnum,x
                sta snd_arpindex,y
                ldy tmp3
                bcs pm_newnoteloop
pm_neg:         iny
                cmp #DUR
                bcc pm_setslide
pm_dur:         cmp #REST
                beq pm_rest
                bcs pm_contnote
                sbc #DUR-1
                sta chn_duration,x
                bne pm_newnoteloop      ;Carry=0
pm_setslide:    sbc #SLIDE-1
                sty tmp3
                tay
                lda slidespdtbl,y
                sta chn_slidespd,x
                ldy tmp3
                lda (tmp1),y
                clc
                adc chn_trans,x
                sta chn_note,x
                iny
                bne pm_contnote
pm_rest:        jsr pm_gateoff
pm_contnote:    jsr pm_checkendpatt
                lda chn_duration,x
                sta chn_counter,x
                bne pm_dopulse
pm_note:        clc
                adc chn_trans,x         ;Store new notenumber
                sta chn_note,x
                jsr pm_gateoff          ;Counter 7th bit on: the note init
                lda #$ff                ;itself happens on next frame
                sta chn_counter,x
                jsr pm_checkendpatt
                jmp pm_nextchn
                                        ;Sound number
pm_dopulse:     ldy chn_sndnum,x        ;Pulse speed in the 4 top bits
                lda snd_pulse,y
                and #$f0
                beq pm_doarp
                sta tmp3                ;Direction
                lda chn_pulsedir,x
                inx
                and #$01
                bne pm_pulsedown
pm_pulseup:     jsr pm_frequp
                dex                     ;Check for crossing top limit
                lda snd_pulselim,y
                and #$0f
                cmp chn_pulsehi,x
                bcs pm_doarp            ;Turn direction
pm_pulsedir:    inc chn_pulsedir,x
                jmp pm_doarp
pm_pulsedown:   jsr pm_freqdown
                dex                     ;Check for crossing bottom limit
                lda snd_pulselim,y
                lsr
                lsr
                lsr
                lsr                     ;Turn direction
                cmp chn_pulsehi,x
                bcs pm_pulsedir
                                        ;If arpeggio index nonzero, do
pm_doarp:       lda chn_arpindex,x      ;arpeggio, otherwise vibrato/slide
                beq pm_dovib
pm_arpgoback:   tay                             ;Relative arpeggio? (bit 7 = 0)
                lda arptbl-1,y
                bpl pm_relarp                   ;Absolute arpeggio+waveform?
                cmp #$d0
                bcc pm_absarp                   ;Arpeggiotable jump?
                cmp #$ff
                bne pm_absarp2
pm_arpjump:     lda arptbl,y
                bne pm_arpgoback
                sta chn_arpindex,x
                jmp pm_deccounter
pm_absarp2:     sbc #$e0-1
                clc
                adc chn_note,x
pm_absarp:      asl                             ;Store notenumber
                sta tmp3                        ;and get waveform
                lda arptbl,y
                sta chn_waveform,x
                iny
                bne pm_arpfreq
pm_relarp:      clc
                adc chn_note,x
                asl
                sta tmp3
pm_arpfreq:     iny
                tya
                sta chn_arpindex,x
                ldy tmp3                ;Look up the frequency from the note
                lda freqtbl,y           ;table
                sta chn_freqlo,x
                lda freqtbl+1,y
                sta chn_freqhi,x
                jmp pm_deccounter

pm_dovib:       lda chn_slidespd,x
                bne pm_doslide          ;If delay > 127, no vibrato at all
                lda chn_vibdelay,x
                bmi pm_deccounter
                beq pm_vibok
                dec chn_vibdelay,x
                bpl pm_deccounter       ;Take vibrato speed
pm_vibok:       lda snd_vibdepth,y
                and #$f0
                sta tmp3                ;Up or down?
                lda chn_vibdir,x
                and #$01
                bne pm_vibdown
                jsr pm_frequp
                jmp pm_vibdir
pm_vibdown:     jsr pm_freqdown
pm_vibdir:      dec chn_vibcount,x
                bne pm_deccounter
                lda snd_vibdepth,y
                and #$0f
                sta chn_vibcount,x
                inc chn_vibdir,x
                jmp pm_deccounter

pm_doslide:     sta tmp3
                lda chn_note,x          ;Get target pitch
                asl
                tay
                lda freqtbl,y
                sta tmp1
                lda freqtbl+1,y
                sta tmp2
                jsr pm_16bitcompare
                bcs pm_slidedown
pm_slideup:     jsr pm_frequp
pm_slupcheck:   jsr pm_16bitcompare
                bcs pm_slideready
                bcc pm_slidedone
pm_slidedown:   jsr pm_freqdown
pm_sldncheck:   jsr pm_16bitcompare
                bcs pm_slidedone
pm_slideready:  lda tmp1
                sta chn_freqlo,x
                lda tmp2
                sta chn_freqhi,x
                lda #$00
                sta chn_slidespd,x
pm_slidedone:
                                        ;Decrease duration counter
pm_deccounter:  dec chn_counter,x
                bne pm_nextchn          ;Fetch new pattern?
                lda chn_pattindex,x
                cmp #$ff
                bne pm_nextchn
                jsr pm_getpattern
pm_nextchn:     lda chn_pulselo,x
                sta $d402,x
                lda chn_pulsehi,x
                sta $d403,x
                lda chn_freqlo,x
                sta $d400,x
                lda chn_freqhi,x
                sta $d401,x
                lda chn_counter,x
                bmi pm_hard
                lda chn_waveform,x
                sta $d404,x
                ldy chn_sndnum,x        ;Get ADSR
                lda snd_ad,y
                sta $d405,x
                lda snd_sr,y
                sta $d406,x
                jmp pm_adsrdone         ;Do hard restart
pm_hard:        lda #$00
                sta $d404,x
                sta $d405,x
                sta $d406,x
pm_adsrdone:    lda chn_nextchn,x
                tax
                beq pm_alldone
                jmp pm_playloop
pm_alldone:                             ;All channels done, do filter next
pm_fltindex:    ldy #$00
                beq pm_nofltchg
pm_flttime:     ldx #$00
                beq pm_getnewflt
                dex
                stx pm_flttime+1
                lda pm_cutoff+1
                clc
pm_cutoffspd:   adc #$00
                sta pm_cutoff+1
                jmp pm_nofltchg
pm_getnewflt:   lda flttbl-1,y          ;$ff jumps in filtertable
                cmp #$ff
                beq pm_fltjump
                sta pm_flttime+1
                lda flttbl,y
                sta pm_cutoffspd+1
pm_addpos:      iny
                iny
                sty pm_fltindex+1
                bne pm_nofltchg
pm_fltjump:     lda flttbl,y
                tay
                bne pm_getnewflt
                sta pm_fltindex+1
pm_nofltchg:
pm_cutoff:      lda #$00
                sta $d416
pm_fltctrl:     lda #$00
                tay                     ;Resonance is always zero
                and #$0f
                sta $d417
                tya
                and #$f0                ;OR with volume
pm_volume:      ora #$0f
                sta $d418
pm_fade:        lda #$00
                beq pm_nofade
                inc pm_fadecnt+1
pm_fadecnt:     lda #$00
                and #$03
                bne pm_nofade
                lda pm_volume+1
                beq pm_nofade
                dec pm_volume+1
pm_nofade:      rts

pm_checkendpatt:lda (tmp1),y
                cmp #$ff
                bne pm_noendpatt
                tay
pm_noendpatt:   tya
                sta chn_pattindex,x
                rts

pm_gateoff:     lda chn_waveform,x
                and #$fe
                sta chn_waveform,x
                rts

pm_frequp:      lda chn_freqlo,x
                clc
                adc tmp3
                sta chn_freqlo,x
                bcc pm_frequpdone
                inc chn_freqhi,x
pm_frequpdone:  rts

pm_freqdown:    lda chn_freqlo,x
                sec
                sbc tmp3
                sta chn_freqlo,x
                bcs pm_freqdowndone
                dec chn_freqhi,x
pm_freqdowndone:rts

pm_16bitcompare:lda chn_freqhi,x
                cmp tmp2
                beq pm_checklo
                rts
pm_checklo:     lda chn_freqlo,x
                cmp tmp1
                rts

pm_getpattern:  ldy chn_songnum,x
                lda songtbllo,y
                sta tmp1
                lda songtblhi,y
                sta tmp2
                lda #$00
                sta chn_pattindex,x
                ldy chn_songindex,x
pm_gploop:      lda (tmp1),y
                cmp #$c0
                bcs pm_special
                sta chn_pattnum,x
                iny
                tya
                sta chn_songindex,x
                rts
pm_special:     cmp #$fe
                bcs pm_restart
pm_settrans:    iny
                sbc #TR-1
pm_st2:         sta chn_trans,x
                jmp pm_gploop
pm_restart:     beq pm_endsong
                ldy #$00
                tya
                beq pm_st2
pm_endsong:     sta playmusic+1
                rts

chn_counter:    dc.b 0
chn_waveform:   dc.b 0
chn_songindex:  dc.b 0
chn_trans:      dc.b 0
chn_arpindex:   dc.b 0
chn_sndnum:     dc.b 0
chn_songnum:    dc.b 0

                dc.b 0,0,0,0,0,0,0
                dc.b 0,0,0,0,0,0,0

chn_pattnum:    dc.b 0
chn_pattindex:  dc.b 0
chn_note:       dc.b 0
chn_freqlo:     dc.b 0
chn_pulselo:    dc.b 0
chn_freqhi:     dc.b 0
chn_pulsehi:    dc.b 0

                dc.b 0,0,0,0,0,0,0
                dc.b 0,0,0,0,0,0,0

chn_duration:   dc.b 0
chn_slidespd:   dc.b 0
chn_vibdelay:   dc.b 0
chn_vibcount:   dc.b 0
chn_pulsedir:   dc.b 0
chn_vibdir:     dc.b 0
chn_nextchn:    dc.b 7

                dc.b 0,0,0,0,0,0,14
                dc.b 0,0,0,0,0,0,0

        ;Taajuustaulukko

freqtbl:        .word $10c,$11c,$12d,$13e,$151,$166,$17b,$191,$1a9
                .word $1c3,$1dd,$1fa,$218,$238,$25a,$27d,$2a3,$2cc
                .word $2f6,$323,$353,$386,$3bb,$3f4,$430,$470,$4b4
                .word $4fb,$545,$598,$5ed,$647,$6a7,$70c,$777,$7e9
                .word $861,$8e1,$968,$9f7,$a8f,$b30,$bda,$c8f,$d4e
                .word $e18,$eef,$fd2,$10c3,$11c3,$12d1,$13ef,$151f
                .word $1660,$17b5,$191e,$1a9c,$1c31,$1ddf,$1fa5,$2187
                .word $2386,$25a2,$27df,$2a3e,$2cc1,$2f6b,$323c,$3539
                .word $3863,$3bbe,$3f4b,$430f,$470c,$4b45,$4fbf,$547d
                .word $5983,$5ed6,$6479

;ͻ
;Soundidata                                                                   
;ͼ
SND_BD          = 0
snd_ad:         dc.b $09
snd_sr:         dc.b $d3
snd_pulse:      dc.b $08
snd_pulselim:   dc.b $00
snd_vibdelay:   dc.b $ff
snd_vibdepth:   dc.b $00
snd_arpindex:   dc.b ARP_BD
snd_fltindex:   dc.b $00

SND_SNR         = 1
                dc.b $09
                dc.b $d8
                dc.b $08
                dc.b $00
                dc.b $ff
                dc.b $00
                dc.b ARP_SNR
                dc.b $00

SND_BASS        = 2
                dc.b $08
                dc.b $88
                dc.b $34
                dc.b $15
                dc.b $08
                dc.b $12
                dc.b ARP_PULSE
                dc.b $00

SND_GTR         = 3
                dc.b $13
                dc.b $79
                dc.b $82
                dc.b $0e
                dc.b $ff
                dc.b $ff
                dc.b ARP_GTR
                dc.b $00

SND_TOM         = 4
                dc.b $09
                dc.b $b8
                dc.b $08
                dc.b $00
                dc.b $00
                dc.b $f3
                dc.b ARP_TOM
                dc.b $00

SND_LEAD        = 5
                dc.b $13
                dc.b $79
                dc.b $63
                dc.b $59
                dc.b $10
                dc.b $44
                dc.b ARP_PULSE
                dc.b $00

SND_LEAD2       = 6
                dc.b $12
                dc.b $64
                dc.b $91
                dc.b $05
                dc.b $03
                dc.b $92
                dc.b ARP_PULSE
                dc.b $00

SND_HARPSI      = 7
                dc.b $18
                dc.b $35
                dc.b $71
                dc.b $1e
                dc.b $04
                dc.b $43
                dc.b ARP_PULSE
                dc.b $00

SND_FILTBASS    = 8
                dc.b $08
                dc.b $78
                dc.b $24
                dc.b $17
                dc.b $ff
                dc.b $00
                dc.b ARP_PULSE
                dc.b FLT_BASS

SND_CHORD       = 9
                dc.b $19
                dc.b $04
                dc.b $21
                dc.b $0e
                dc.b $ff
                dc.b $00
                dc.b ARP_MINOR
                dc.b $00

SND_WEIRD       = 10
                dc.b $24
                dc.b $8a
                dc.b $55
                dc.b $3b
                dc.b $00
                dc.b $83
                dc.b ARP_PULSESYNC
                dc.b $00

SND_ACGTR       = 11
                dc.b $07
                dc.b $44
                dc.b $33
                dc.b $16
                dc.b $02
                dc.b $33
                dc.b ARP_PULSE
                dc.b FLT_ACGTR

SND_FLUTE       = 12
                dc.b $45
                dc.b $c3
                dc.b $00
                dc.b $00
                dc.b $10
                dc.b $44
                dc.b ARP_TRIANGLE
                dc.b $00

SND_CHORD2      = 13
                dc.b $24
                dc.b $5c
                dc.b $21
                dc.b $0e
                dc.b $ff
                dc.b $00
                dc.b ARP_MINOR
                dc.b $00

SND_BDBASS      = 14
                dc.b $09
                dc.b $96
                dc.b $36
                dc.b $15
                dc.b $08
                dc.b $13
                dc.b ARP_BDBASS
                dc.b $00

SND_SNR2        = 15
                dc.b $0a
                dc.b $00
                dc.b $08
                dc.b $00
                dc.b $ff
                dc.b $00
                dc.b ARP_SNR2
                dc.b $00

SND_LEAD3       = 16
                dc.b $34
                dc.b $7a
                dc.b $16
                dc.b $0e
                dc.b $08
                dc.b $73
                dc.b ARP_PULSE
                dc.b $00

SND_LEAD4       = 17
                dc.b $25
                dc.b $57
                dc.b $89
                dc.b $ce
                dc.b $08
                dc.b $84
                dc.b ARP_PULSE
                dc.b $00

SND_CAVEBASS    = 18
                dc.b $1a
                dc.b $00
                dc.b $41
                dc.b $0e
                dc.b $06
                dc.b $14
                dc.b ARP_PULSE
                dc.b $00

SND_CAVEFLUTE   = 19
                dc.b $25
                dc.b $9a
                dc.b $00
                dc.b $00
                dc.b $10
                dc.b $44
                dc.b ARP_SAW
                dc.b FLT_FLUTE

SND_STRINGS     = 20
                dc.b $34
                dc.b $85
                dc.b $00
                dc.b $00
                dc.b $0f
                dc.b $34
                dc.b ARP_SAW
                dc.b $00

SND_ROCKGTR     = 21
                dc.b $16
                dc.b $76
                dc.b $22
                dc.b $04
                dc.b $ff
                dc.b $00
                dc.b ARP_ROCKGTR
                dc.b $00

SND_CHORD3      = 22
                dc.b $15
                dc.b $49
                dc.b $25
                dc.b $0e
                dc.b $ff
                dc.b $00
                dc.b ARP_MINOR
                dc.b FLT_ACGTR

SND_SHARPBASS   = 23
                dc.b $15
                dc.b $88
                dc.b $41
                dc.b $1e
                dc.b $ff
                dc.b $00
                dc.b ARP_PULSE
                dc.b $00

SND_LEAD5       = 24
                dc.b $25
                dc.b $74
                dc.b $15
                dc.b $3b
                dc.b $0a
                dc.b $25
                dc.b ARP_PULSE
                dc.b $00

FLT_BASS        = $01
flttbl:         dc.b $f0,$14 ;1
                dc.b $20,$fc ;3
                dc.b $ff,$00 ;5
FLT_ACGTR       = $07
                dc.b $e0,$11 ;7
                dc.b $14,$fc ;9
                dc.b $ff,$00 ;b
FLT_FLUTE       = $0d
                dc.b $40,$11 ;d
                dc.b $6f,$01 ;f
                dc.b $6f,$ff ;11
                dc.b $ff,$0f ;13

ARP_BD          = $01
arptbl:         dc.b $c8,$81   ;1
                dc.b $a9,$41   ;3
                dc.b $a0,$41   ;5
                dc.b $95,$40   ;7
                dc.b $ff,$00   ;9
ARP_SNR         = $0b
                dc.b $c6,$81   ;b
                dc.b $b0,$41   ;d
                dc.b $a6,$41   ;f
                dc.b $cf,$81   ;11
                dc.b $c1,$80   ;13
                dc.b $ff,$00   ;15
ARP_GTR         = $17
                dc.b $db,$41   ;17
                dc.b $0c       ;19
                dc.b $00       ;1a
                dc.b $ff,$00   ;1b
ARP_PWR         = $1d
                dc.b $e0,$41   ;1d
                dc.b $0c       ;1f
                dc.b $07       ;20
                dc.b $00       ;21
                dc.b $ff,$1f   ;22
ARP_TOM         = $24
                dc.b $c7,$81   ;24
                dc.b $f4,$40   ;26
                dc.b $12       ;28
                dc.b $08       ;29
                dc.b $00       ;2a
                dc.b $ff,$00   ;2b
ARP_MINOR       = $2d
                dc.b $e0,$41   ;2d
                dc.b $03       ;2f
                dc.b $07       ;30
                dc.b $0c       ;31
                dc.b $00       ;32
                dc.b $ff,$2f   ;33
ARP_MAJOR       = $35
                dc.b $e0,$41   ;35
                dc.b $04       ;37
                dc.b $07       ;38
                dc.b $0c       ;39
                dc.b $00       ;3a
                dc.b $ff,$37   ;3b
ARP_MAJOR2      = $3d
                dc.b $df,$41   ;3d
                dc.b $02       ;3f
                dc.b $07       ;40
                dc.b $0b       ;41
                dc.b $00       ;42
                dc.b $ff,$3f   ;43
ARP_BDBASS      = $45
                dc.b $c8,$81   ;45
                dc.b $a9,$41   ;47
                dc.b $a0,$41   ;49
ARP_PULSE       = $4b
                dc.b $e0,$41   ;4b
                dc.b $ff,$00   ;4d
ARP_SNR2        = $4f
                dc.b $ae,$41   ;4f
                dc.b $c6,$81   ;51
                dc.b $ac,$41   ;53
                dc.b $ce,$81   ;55
                dc.b $c4,$81   ;57
                dc.b $c0,$81   ;59
                dc.b $ff,$55   ;5b
ARP_CH1         = $5d
                dc.b $e0,$41   ;5d
                dc.b $00       ;5f
                dc.b $03       ;60
                dc.b $03       ;61
                dc.b $07       ;62
                dc.b $07       ;63
                dc.b $00       ;64
                dc.b $ff,$5f   ;65
ARP_CH2         = $67
                dc.b $e0,$41   ;67
                dc.b $00       ;69
                dc.b $03       ;6a
                dc.b $03       ;6b
                dc.b $08       ;6c
                dc.b $08       ;6d
                dc.b $00       ;6e
                dc.b $ff,$69   ;6f
ARP_CH3         = $71
                dc.b $e0,$41   ;71
                dc.b $00       ;73
                dc.b $04       ;74
                dc.b $04       ;75
                dc.b $07       ;76
                dc.b $07       ;77
                dc.b $00       ;78
                dc.b $ff,$73   ;79
ARP_CH4         = $7b
                dc.b $e0,$41   ;7b
                dc.b $00       ;7d
                dc.b $05       ;7e
                dc.b $05       ;7f
                dc.b $09       ;80
                dc.b $09       ;81
                dc.b $00       ;82
                dc.b $ff,$7d   ;83
ARP_ROCKGTR     = $85
                dc.b $c8,$81   ;85
                dc.b $e0,$41   ;87
                dc.b $ff,$00   ;89
ARP_PULSESYNC   = $8b
                dc.b $e0,$43   ;8b
                dc.b $ff,$00   ;8d
ARP_TRIANGLE    = $8f
                dc.b $e0,$11   ;8f
                dc.b $ff,$00   ;91
ARP_SAW         = $93
                dc.b $e0,$21   ;93
                dc.b $ff,$00   ;95

CHG_GTR         = 0
CHG_PWR         = 1
CHG_MINOR       = 2
CHG_MAJOR       = 3
CHG_MAJOR2      = 4
CHG_CH1         = 5
CHG_CH2         = 6
CHG_CH3         = 7
CHG_CH4         = 8
CHG_PULSE       = 9
arpchgtbl:      dc.b ARP_GTR,ARP_PWR,ARP_MINOR,ARP_MAJOR,ARP_MAJOR2,ARP_CH1,ARP_CH2,ARP_CH3,ARP_CH4,ARP_PULSE

SPD_15          = 0
SPD_20          = 1
SPD_25          = 2
SPD_30          = 3
SPD_35          = 4
SPD_40          = 5
SPD_50          = 6
SPD_60          = 7
SPD_80          = 8
SPD_100         = 9
SPD_120         = 10
SPD_160         = 11
SPD_220         = 12
SPD_255         = 13
slidespdtbl:    dc.b 15,20,25,30,35,40,50,60,80,100,120,160,220,255

;ͻ
;Biisidata                                                                    
;ͼ

songtbllo:      dc.b <song1_chn1
                dc.b <song1_chn2
                dc.b <song1_chn3
                dc.b <song2_chn1
                dc.b <song2_chn2
                dc.b <song2_chn3
                dc.b <song3_chn1
                dc.b <song3_chn2
                dc.b <song3_chn3
                dc.b <song4_chn1
                dc.b <song4_chn2
                dc.b <song4_chn3
                dc.b <song5_chn1
                dc.b <song5_chn2
                dc.b <song5_chn3
                dc.b <song9_chn1
                dc.b <song9_chn2
                dc.b <song9_chn3
                dc.b <song10_chn1
                dc.b <song10_chn2
                dc.b <song10_chn3
                dc.b <song6_chn1
                dc.b <song6_chn2
                dc.b <song6_chn3
                dc.b <song7_chn1
                dc.b <song7_chn2
                dc.b <song7_chn3
                dc.b <song8_chn1
                dc.b <song8_chn2
                dc.b <song8_chn3
                dc.b <song12_chn1
                dc.b <song12_chn2
                dc.b <song12_chn3
                dc.b <song13_chn1
                dc.b <song13_chn2
                dc.b <song13_chn3
                dc.b <song11_chn1
                dc.b <song11_chn2
                dc.b <song11_chn3


songtblhi:      dc.b >song1_chn1
                dc.b >song1_chn2
                dc.b >song1_chn3
                dc.b >song2_chn1
                dc.b >song2_chn2
                dc.b >song2_chn3
                dc.b >song3_chn1
                dc.b >song3_chn2
                dc.b >song3_chn3
                dc.b >song4_chn1
                dc.b >song4_chn2
                dc.b >song4_chn3
                dc.b >song5_chn1
                dc.b >song5_chn2
                dc.b >song5_chn3
                dc.b >song9_chn1
                dc.b >song9_chn2
                dc.b >song9_chn3
                dc.b >song10_chn1
                dc.b >song10_chn2
                dc.b >song10_chn3
                dc.b >song6_chn1
                dc.b >song6_chn2
                dc.b >song6_chn3
                dc.b >song7_chn1
                dc.b >song7_chn2
                dc.b >song7_chn3
                dc.b >song8_chn1
                dc.b >song8_chn2
                dc.b >song8_chn3
                dc.b >song12_chn1
                dc.b >song12_chn2
                dc.b >song12_chn3
                dc.b >song13_chn1
                dc.b >song13_chn2
                dc.b >song13_chn3
                dc.b >song11_chn1
                dc.b >song11_chn2
                dc.b >song11_chn3

patttbllo:      dc.b <patt0
                dc.b <patt1
                dc.b <patt2
                dc.b <patt3
                dc.b <patt4
                dc.b <patt5
                dc.b <patt6
                dc.b <patt7
                dc.b <patt8
                dc.b <patt9
                dc.b <patt10
                dc.b <patt11
                dc.b <patt12
                dc.b <patt13
                dc.b <patt14
                dc.b <patt15
                dc.b <patt16
                dc.b <patt17
                dc.b <patt18
                dc.b <patt19
                dc.b <patt20
                dc.b <patt21
                dc.b <patt22
                dc.b <patt23
                dc.b <patt24
                dc.b <patt25
                dc.b <patt26
                dc.b <patt27
                dc.b <patt28
                dc.b <patt29
                dc.b <patt30
                dc.b <patt31
                dc.b <patt32
                dc.b <patt33
                dc.b <patt34
                dc.b <patt35
                dc.b <patt36
                dc.b <patt37
                dc.b <patt38
                dc.b <patt39
                dc.b <patt40
                dc.b <patt41
                dc.b <patt42
                dc.b <patt43
                dc.b <patt44
                dc.b <patt45
                dc.b <patt46
                dc.b <patt47
                dc.b <patt48
                dc.b <patt49
                dc.b <patt50
                dc.b <patt51
                dc.b <patt52
                dc.b <patt53
                dc.b <patt54
                dc.b <patt55
                dc.b <patt56
                dc.b <patt57
                dc.b <patt58
                dc.b <patt59
                dc.b <patt60
                dc.b <patt61
                dc.b <patt62
                dc.b <patt63
                dc.b <patt64
                dc.b <patt65
                dc.b <patt66
                dc.b <patt67
                dc.b <patt68
                dc.b <patt69
                dc.b <patt70
                dc.b <patt71
                dc.b <patt72
                dc.b <patt73
                dc.b <patt74
                dc.b <patt75
                dc.b <patt76
                dc.b <patt77
                dc.b <patt78
                dc.b <patt79
                dc.b <patt80
                dc.b <patt81
                dc.b <patt82
                dc.b <patt83
                dc.b <patt84
                dc.b <patt85
                dc.b <patt86
                dc.b <patt87
                dc.b <patt88
                dc.b <patt89
                dc.b <patt90
                dc.b <patt91
                dc.b <patt92
                dc.b <patt93
                dc.b <patt94
                dc.b <patt95
                dc.b <patt96
                dc.b <patt97
                dc.b <patt98
                dc.b <patt99
                dc.b <patt100
                dc.b <patt101
                dc.b <patt102
                dc.b <patt103
                dc.b <patt104
                dc.b <patt105
                dc.b <patt106
                dc.b <patt107
                dc.b <patt108
                dc.b <patt109
                dc.b <patt110
                dc.b <patt111
                dc.b <patt112
                dc.b <patt113
                dc.b <patt114
                dc.b <patt115
                dc.b <patt116
                dc.b <patt117
                dc.b <patt118
                dc.b <patt119
                dc.b <patt120
                dc.b <patt121
                dc.b <patt122
                dc.b <patt123
                dc.b <patt124
                dc.b <patt125
                dc.b <patt126
                dc.b <patt127
                dc.b <patt128
                dc.b <patt129
                dc.b <patt130
                dc.b <patt131
                dc.b <patt132
                dc.b <patt133
                dc.b <patt134
                dc.b <patt135
                dc.b <patt136
                dc.b <patt137
                dc.b <patt138
                dc.b <patt139
                dc.b <patt140
                dc.b <patt141
                dc.b <patt142
                dc.b <patt143
                dc.b <patt144
                dc.b <patt145
                dc.b <patt146
                dc.b <patt147
                dc.b <patt148
                dc.b <patt149
                dc.b <patt150
                dc.b <patt151
                dc.b <patt152
                dc.b <patt153
                dc.b <patt154
                dc.b <patt155
                dc.b <patt156
                dc.b <patt157
                dc.b <patt158
                dc.b <patt159
                dc.b <patt160
                dc.b <patt161
                dc.b <patt162
                dc.b <patt163
                dc.b <patt164
                dc.b <patt165
                dc.b <patt166

patttblhi:      dc.b >patt0
                dc.b >patt1
                dc.b >patt2
                dc.b >patt3
                dc.b >patt4
                dc.b >patt5
                dc.b >patt6
                dc.b >patt7
                dc.b >patt8
                dc.b >patt9
                dc.b >patt10
                dc.b >patt11
                dc.b >patt12
                dc.b >patt13
                dc.b >patt14
                dc.b >patt15
                dc.b >patt16
                dc.b >patt17
                dc.b >patt18
                dc.b >patt19
                dc.b >patt20
                dc.b >patt21
                dc.b >patt22
                dc.b >patt23
                dc.b >patt24
                dc.b >patt25
                dc.b >patt26
                dc.b >patt27
                dc.b >patt28
                dc.b >patt29
                dc.b >patt30
                dc.b >patt31
                dc.b >patt32
                dc.b >patt33
                dc.b >patt34
                dc.b >patt35
                dc.b >patt36
                dc.b >patt37
                dc.b >patt38
                dc.b >patt39
                dc.b >patt40
                dc.b >patt41
                dc.b >patt42
                dc.b >patt43
                dc.b >patt44
                dc.b >patt45
                dc.b >patt46
                dc.b >patt47
                dc.b >patt48
                dc.b >patt49
                dc.b >patt50
                dc.b >patt51
                dc.b >patt52
                dc.b >patt53
                dc.b >patt54
                dc.b >patt55
                dc.b >patt56
                dc.b >patt57
                dc.b >patt58
                dc.b >patt59
                dc.b >patt60
                dc.b >patt61
                dc.b >patt62
                dc.b >patt63
                dc.b >patt64
                dc.b >patt65
                dc.b >patt66
                dc.b >patt67
                dc.b >patt68
                dc.b >patt69
                dc.b >patt70
                dc.b >patt71
                dc.b >patt72
                dc.b >patt73
                dc.b >patt74
                dc.b >patt75
                dc.b >patt76
                dc.b >patt77
                dc.b >patt78
                dc.b >patt79
                dc.b >patt80
                dc.b >patt81
                dc.b >patt82
                dc.b >patt83
                dc.b >patt84
                dc.b >patt85
                dc.b >patt86
                dc.b >patt87
                dc.b >patt88
                dc.b >patt89
                dc.b >patt90
                dc.b >patt91
                dc.b >patt92
                dc.b >patt93
                dc.b >patt94
                dc.b >patt95
                dc.b >patt96
                dc.b >patt97
                dc.b >patt98
                dc.b >patt99
                dc.b >patt100
                dc.b >patt101
                dc.b >patt102
                dc.b >patt103
                dc.b >patt104
                dc.b >patt105
                dc.b >patt106
                dc.b >patt107
                dc.b >patt108
                dc.b >patt109
                dc.b >patt110
                dc.b >patt111
                dc.b >patt112
                dc.b >patt113
                dc.b >patt114
                dc.b >patt115
                dc.b >patt116
                dc.b >patt117
                dc.b >patt118
                dc.b >patt119
                dc.b >patt120
                dc.b >patt121
                dc.b >patt122
                dc.b >patt123
                dc.b >patt124
                dc.b >patt125
                dc.b >patt126
                dc.b >patt127
                dc.b >patt128
                dc.b >patt129
                dc.b >patt130
                dc.b >patt131
                dc.b >patt132
                dc.b >patt133
                dc.b >patt134
                dc.b >patt135
                dc.b >patt136
                dc.b >patt137
                dc.b >patt138
                dc.b >patt139
                dc.b >patt140
                dc.b >patt141
                dc.b >patt142
                dc.b >patt143
                dc.b >patt144
                dc.b >patt145
                dc.b >patt146
                dc.b >patt147
                dc.b >patt148
                dc.b >patt149
                dc.b >patt150
                dc.b >patt151
                dc.b >patt152
                dc.b >patt153
                dc.b >patt154
                dc.b >patt155
                dc.b >patt156
                dc.b >patt157
                dc.b >patt158
                dc.b >patt159
                dc.b >patt160
                dc.b >patt161
                dc.b >patt162
                dc.b >patt163
                dc.b >patt164
                dc.b >patt165
                dc.b >patt166

        ;Ensimminen biisi

song1_chn1:     dc.b 1,2,1,2
                dc.b 1,2,1,2
                dc.b TR+5,1,2,1,2
                dc.b TR,1,2,1,2
                dc.b 13,14,15,13,17,18
                dc.b 1,2,1,2
                dc.b 1,2,1,2
                dc.b 1,2,1,2
                dc.b 23,23
                dc.b 23,23
                dc.b 24,24
                dc.b 24,25
                dc.b 24,24
                dc.b 24,25
                dc.b TR+3,13,14,15,13,17,18
                dc.b RESTART

song1_chn2:     dc.b 0,3,0
                dc.b 7,8,7,8
                dc.b TR-7,7,8,7,8
                dc.b TR,7,8,7,8
                dc.b 11,TR-5,11,TR-4,11,TR-2,11
                dc.b TR-4,11,TR-7,11,TR-5,11,7
                dc.b TR,11,TR-5,11,TR-9,11,TR-7,11
                dc.b TR-4,11,TR-2,11,TR,11,11
                dc.b 7,8,7,8
                dc.b 20,20,21
                dc.b 20,20,22
                dc.b 11,11,TR-4,11,11,TR
                dc.b 11,11,TR-7,11,TR-5,11
                dc.b TR,11,11,TR-4,11,11,TR
                dc.b TR-7,11,11,TR-5,11,11
                dc.b TR,11,11,TR-4,11,11,TR
                dc.b TR-7,11,11,TR-5,11,11
                dc.b TR+3,11,TR-2,11,TR-1,11,TR+1,11
                dc.b TR-1,11,TR-4,11,TR-2,11,7
                dc.b TR+3,11,TR-2,11,TR-6,11,TR-4,11
                dc.b TR-1,11,TR+1,11,TR+3,11,11
                dc.b RESTART

song1_chn3:     dc.b 0,4,5
                dc.b 6,6,6,9
                dc.b 6,6,6,10
                dc.b 6,6,6,6
                dc.b 12,TR+7,12,TR+8,12,TR+10,12
                dc.b TR+8,12,TR+5,12,TR+7,12,TR,16
                dc.b 12,TR+7,12,TR+3,12,TR+5,12
                dc.b TR+8,12,TR+10,12,TR,12,12
                dc.b 6,6,6,10
                dc.b 19,19,19,19
                dc.b 19,19,19,16
                dc.b 12,12,TR-4,12,12
                dc.b TR,12,12,TR+5,12,TR+7,12
                dc.b TR,12,12,TR-4,12,12
                dc.b TR+5,12,12,TR+7,12,12
                dc.b TR,26,26
                dc.b 26,27
                dc.b TR+3,12,TR+10,12,TR+11,12,TR+13,12
                dc.b TR+11,12,TR+8,12,TR+10,12,TR,16
                dc.b TR+3,12,TR+10,12,TR+6,12,TR+8,12
                dc.b TR+11,12,TR+13,12,TR+3,12,12
                dc.b RESTART

patt0:          dc.b DUR+16*6,REST,ENDPATT

patt1:          dc.b SND+SND_GTR,ARP+CHG_GTR,DUR+6
                dc.b A3
                dc.b C4
                dc.b A3
                dc.b A3
                dc.b C4
                dc.b A3
                dc.b A3
                dc.b D4
                dc.b A3
                dc.b A3
                dc.b C4
                dc.b A3
                dc.b H3
                dc.b A3
                dc.b C4
                dc.b A3,ENDPATT

patt2:          dc.b A3
                dc.b C4
                dc.b A3
                dc.b A3
                dc.b C4
                dc.b A3
                dc.b A3
                dc.b ARP+CHG_PWR
                dc.b DUR+18
                dc.b G3
                dc.b DUR+12
                dc.b H3
                dc.b C4
                dc.b G3,ENDPATT

patt3:          dc.b DUR+7*6,REST
                dc.b SND+SND_BASS
                dc.b DUR+18
                dc.b G2
                dc.b DUR+12
                dc.b H2
                dc.b C3
                dc.b G2
                dc.b DUR+18
                dc.b A2
                dc.b DUR+12
                dc.b A2
                dc.b DUR+66,REST,ENDPATT

patt4:          dc.b DUR+7*6,REST
                dc.b SND+SND_BD
                dc.b DUR+18
                dc.b C2
                dc.b DUR+12
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b DUR+18
                dc.b C2
                dc.b DUR+12
                dc.b C2
                dc.b DUR+66,REST,ENDPATT

patt5:          dc.b DUR+7*6,REST
                dc.b SND+SND_SNR
                dc.b DUR+6
                dc.b C2,CONT
                dc.b C2
                dc.b C2
                dc.b SND+SND_TOM
                dc.b E2
                dc.b E2
                dc.b C2
                dc.b C2
                dc.b A1,ENDPATT

patt6:          dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2,CONT
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2,CONT
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_BD
                dc.b C2,CONT
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2,CONT
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2,CONT,ENDPATT

patt7:          dc.b SND+SND_BASS
                dc.b DUR+6
                dc.b A2,CONT
                dc.b A2
                dc.b A2,CONT
                dc.b A2
                dc.b A2,CONT
                dc.b E3
                dc.b A2
                dc.b A2
                dc.b A2,CONT
                dc.b A2
                dc.b A2,CONT,ENDPATT

patt8:          dc.b DUR+6
                dc.b A2,CONT
                dc.b A2
                dc.b A2,CONT
                dc.b A2
                dc.b DUR+12
                dc.b A2
                dc.b G2
                dc.b H2
                dc.b C3
                dc.b G2,ENDPATT

patt9:          dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2,CONT
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2,CONT
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2
                dc.b C2
                dc.b SND+SND_TOM
                dc.b E2
                dc.b E2
                dc.b C2
                dc.b C2
                dc.b A1,ENDPATT

patt10:         dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2,CONT
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2,CONT
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b DUR+4
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2
                dc.b C2
                dc.b SND+SND_SNR
                dc.b DUR+6
                dc.b C2
                dc.b C2,CONT
                dc.b C2
                dc.b C2,CONT,ENDPATT

patt11:         dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2
                dc.b SND+SND_BASS
                dc.b A2
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_BASS
                dc.b A2
                dc.b A2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_BASS
                dc.b A2
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_BASS
                dc.b A2
                dc.b A2
                dc.b SND+SND_SNR
                dc.b C2,CONT,ENDPATT

patt12:         dc.b SND+SND_GTR
                dc.b ARP+CHG_GTR
                dc.b DUR+6
                dc.b A2
                dc.b A3
                dc.b E3
                dc.b A2
                dc.b A3
                dc.b E3
                dc.b E3
                dc.b A3
                dc.b A2
                dc.b A3
                dc.b E3
                dc.b A2
                dc.b A3
                dc.b E3
                dc.b E3
                dc.b A3,ENDPATT

patt13:         dc.b DUR+12,REST,REST
                dc.b SND+SND_LEAD
                dc.b A3
                dc.b H3
                dc.b C4
                dc.b A3
                dc.b E4
                dc.b A4
                dc.b DUR+2
                dc.b F4
                dc.b DUR+34
                dc.b SLIDE+SPD_60
                dc.b G4
                dc.b DUR+12
                dc.b F4
                dc.b E4,CONT
                dc.b DUR+48
                dc.b D4,ENDPATT

patt14:         dc.b DUR+12
                dc.b A3
                dc.b H3
                dc.b C4
                dc.b A3
                dc.b C4
                dc.b D4
                dc.b DUR+2
                dc.b D4
                dc.b DUR+34
                dc.b SLIDE+SPD_60
                dc.b E4
                dc.b DUR+12
                dc.b D4
                dc.b C4,CONT
                dc.b DUR+48
                dc.b H3,ENDPATT

patt15:         dc.b DUR+12
                dc.b A3
                dc.b H3
                dc.b C4
                dc.b A3
                dc.b C4
                dc.b E4
                dc.b DUR+2
                dc.b G4
                dc.b DUR+34
                dc.b SLIDE+SPD_60
                dc.b A4
                dc.b DUR+12
                dc.b G4
                dc.b A4
                dc.b H4
                dc.b C5
                dc.b A4
                dc.b DUR+2
                dc.b A4
                dc.b DUR+94
                dc.b SLIDE+SPD_80
                dc.b H4
                dc.b SND+SND_GTR
                dc.b DUR+6
                dc.b F4
                dc.b E4
                dc.b D4
                dc.b C4
                dc.b E4
                dc.b D4
                dc.b C4
                dc.b H3
                dc.b D4
                dc.b C4
                dc.b H3
                dc.b A3
                dc.b GS3
                dc.b F3
                dc.b E3
                dc.b D3,ENDPATT

patt16:         dc.b SND+SND_SNR
                dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b SND+SND_TOM
                dc.b E2
                dc.b E2
                dc.b C2
                dc.b C2
                dc.b A1
                dc.b A1
                dc.b SND+SND_SNR
                dc.b C2
                dc.b C2
                dc.b SND+SND_TOM
                dc.b E2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b C2
                dc.b C2,ENDPATT

patt17:         dc.b DUR+12
                dc.b C4
                dc.b D4
                dc.b E4
                dc.b C4
                dc.b E4
                dc.b G4
                dc.b DUR+2
                dc.b E4
                dc.b DUR+34
                dc.b SLIDE+SPD_60
                dc.b FS4
                dc.b DUR+12
                dc.b E4
                dc.b D4,CONT
                dc.b DUR+48
                dc.b A3,ENDPATT

patt18:         dc.b DUR+12
                dc.b A4
                dc.b H4
                dc.b C5
                dc.b A4
                dc.b C5
                dc.b E5
                dc.b DUR+2
                dc.b C5
                dc.b DUR+34
                dc.b SLIDE+SPD_60
                dc.b D5
                dc.b DUR+12
                dc.b C5
                dc.b DUR+14
                dc.b H4
                dc.b DUR+5
                dc.b H4
                dc.b C5
                dc.b DUR+12
                dc.b H4
                dc.b G4
                dc.b DUR+2
                dc.b G4
                dc.b DUR+94
                dc.b SLIDE+SPD_20
                dc.b A4
                dc.b DUR+96
                dc.b SLIDE+SPD_30
                dc.b C0,ENDPATT

patt19:         dc.b SND+SND_BD
                dc.b DUR+18
                dc.b C2
                dc.b DUR+6
                dc.b C2
                dc.b SND+SND_SNR
                dc.b DUR+18
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2,CONT,ENDPATT

patt20:         dc.b SND+SND_BASS
                dc.b DUR+18
                dc.b A2
                dc.b DUR+6
                dc.b A2
                dc.b DUR+18
                dc.b E3
                dc.b A2
                dc.b DUR+12
                dc.b A3
                dc.b G3
                dc.b C3,ENDPATT

patt21:         dc.b DUR+18
                dc.b F2
                dc.b DUR+6
                dc.b F2
                dc.b DUR+18
                dc.b E3
                dc.b F2
                dc.b DUR+12
                dc.b A3
                dc.b G3
                dc.b C3
                dc.b DUR+18
                dc.b F2
                dc.b DUR+6
                dc.b F2
                dc.b DUR+18
                dc.b E3
                dc.b G2
                dc.b DUR+12
                dc.b H2
                dc.b C3
                dc.b D3,ENDPATT

patt22:         dc.b DUR+18
                dc.b F2
                dc.b DUR+6
                dc.b F2
                dc.b DUR+18
                dc.b E3
                dc.b F2
                dc.b DUR+12
                dc.b A3
                dc.b G3
                dc.b C3
                dc.b DUR+18
                dc.b D2
                dc.b DUR+6
                dc.b D2
                dc.b DUR+18
                dc.b D3
                dc.b E2
                dc.b DUR+12
                dc.b H2
                dc.b C3
                dc.b D3,ENDPATT

patt23:         dc.b SND+SND_LEAD2
                dc.b DUR+6
                dc.b A4
                dc.b G4
                dc.b E4
                dc.b C4
                dc.b A3
                dc.b C4
                dc.b D4
                dc.b E4
                dc.b G4
                dc.b D4
                dc.b C4
                dc.b H3
                dc.b G3
                dc.b H3
                dc.b C4
                dc.b D4
                dc.b E4
                dc.b D4
                dc.b C4
                dc.b A3
                dc.b G3
                dc.b A3
                dc.b C4
                dc.b D4
                dc.b G4
                dc.b D4
                dc.b C4
                dc.b H3
                dc.b G3
                dc.b H3
                dc.b C4
                dc.b D4,ENDPATT

patt24:         dc.b DUR+6
                dc.b A4
                dc.b G4
                dc.b E4
                dc.b C5
                dc.b G4
                dc.b E4
                dc.b C5
                dc.b G4
                dc.b H4
                dc.b G4
                dc.b E4
                dc.b D5
                dc.b G4
                dc.b E4
                dc.b D5
                dc.b G4
                dc.b A4
                dc.b G4
                dc.b E4
                dc.b C5
                dc.b G4
                dc.b E4
                dc.b C5
                dc.b G4
                dc.b DUR+12
                dc.b D5
                dc.b C5
                dc.b H4
                dc.b G4,ENDPATT

patt25:         dc.b DUR+96
                dc.b E4
                dc.b DUR+24
                dc.b E4
                dc.b F4
                dc.b G4
                dc.b H4,ENDPATT

patt26:         dc.b SND+SND_GTR
                dc.b DUR+6
                dc.b C4
                dc.b H3
                dc.b G3
                dc.b E4
                dc.b H3
                dc.b G3
                dc.b E4
                dc.b H3
                dc.b D4
                dc.b H3
                dc.b G3
                dc.b F4
                dc.b H3
                dc.b G3
                dc.b F4
                dc.b H3
                dc.b C4
                dc.b H3
                dc.b G3
                dc.b E4
                dc.b H3
                dc.b G3
                dc.b E4
                dc.b H3
                dc.b DUR+12
                dc.b F4
                dc.b E4
                dc.b D4
                dc.b H3,ENDPATT

patt27:         dc.b DUR+96
                dc.b G3
                dc.b DUR+24
                dc.b G3
                dc.b A3
                dc.b H3
                dc.b D4,ENDPATT

        ;Toinen biisi

song2_chn1:     dc.b 28,28
                dc.b 28,28
                dc.b 28,28
                dc.b 28,28
                dc.b 28,28
                dc.b 34,35,34,36,37
                dc.b 34,35,34,36,38
                dc.b 28,28
                dc.b 28,28
                dc.b 39,40
                dc.b 39,40
                dc.b 34,35,34,36,37
                dc.b TR+1,34,35,34,36,38
                dc.b TR+2,28,28
                dc.b 28,28,RESTART


song2_chn2:     dc.b 29,TR+3,29,TR-4,29,TR-7,29
                dc.b TR,29,TR+3,29,TR-4,29,TR-7,29
                dc.b TR,29,TR+3,29,TR-4,29,TR-7,29
                dc.b TR,31,TR+3,32,TR-4,32,TR+5,31
                dc.b TR,31,TR+3,32,TR-4,32,TR+5,31
                dc.b TR,31,31,TR-2,32,TR+5,31
                dc.b TR,31,31,TR-2,32,TR+5,31
                dc.b TR,31,TR+3,32,TR-4,32,TR+5,31
                dc.b TR,31,TR+3,32,TR-4,32,TR+5,31
                dc.b TR,31,TR+3,32,TR+8,32,TR+5,31
                dc.b TR,31,TR+3,32,TR+8,32,TR+5,31
                dc.b 28,28
                dc.b 28,28
                dc.b TR,31,31,TR-2,32,TR+5,31
                dc.b TR+1,31,31,TR-1,32,TR+6,31
                dc.b TR+2,31,TR+5,32,TR-2,32,TR+7,31
                dc.b TR+2,31,TR+5,32,TR-2,32,TR+7,31,RESTART


song2_chn3:     dc.b 41,41,41,41
                dc.b 30
                dc.b TR,33,TR+3,33,TR-4,33,TR+5,33
                dc.b TR,33,TR+3,33,TR-4,33,TR+5,33
                dc.b TR,33,33,TR-2,33,TR+5,33
                dc.b TR,33,33,TR-2,33,TR+5,33
                dc.b TR,33,TR+3,33,TR-4,33,TR+5,33
                dc.b TR,33,TR+3,33,TR-4,33,TR+5,33
                dc.b TR,33,TR+3,33,TR-4,33,TR+5,33
                dc.b TR,33,TR+3,33,TR-4,33,TR+5,33
                dc.b TR-12,29,TR-9,29,TR-16,29,TR-7,29
                dc.b TR-12,29,TR-9,29,TR-16,29,TR-7,29
                dc.b TR,33,33,TR-2,33,TR+5,33
                dc.b TR+1,33,33,TR-1,33,TR+6,33
                dc.b TR+2,33,TR+5,33,TR-2,33,TR+7,33
                dc.b TR+2,33,TR+5,33,TR-2,33,TR+7,33,RESTART

patt28:         dc.b SND+SND_HARPSI
                dc.b DUR+8
                dc.b H4
                dc.b H4
                dc.b A4,CONT
                dc.b H4,CONT
                dc.b A4
                dc.b H4,CONT
                dc.b H4
                dc.b DUR+16
                dc.b C5
                dc.b D5
                dc.b C5
                dc.b DUR+8
                dc.b H4
                dc.b H4
                dc.b A4,CONT
                dc.b H4,CONT
                dc.b A4
                dc.b H4,CONT
                dc.b H4
                dc.b C5,CONT
                dc.b D5
                dc.b C5
                dc.b H4
                dc.b A4,ENDPATT

patt29:         dc.b SND+SND_HARPSI
                dc.b DUR+8
                dc.b E4
                dc.b E4
                dc.b E4,CONT
                dc.b E4,CONT
                dc.b E4
                dc.b E4,CONT
                dc.b E4
                dc.b DUR+16
                dc.b E4
                dc.b E4
                dc.b E4,ENDPATT

patt30:         dc.b SND+SND_FILTBASS
                dc.b DUR+64
                dc.b E2,CONT
                dc.b G2,CONT
                dc.b DUR+2
                dc.b A2
                dc.b DUR+62
                dc.b SLIDE+SPD_15,C3
                dc.b DUR+64,CONT
                dc.b A2,CONT
                dc.b E2
                dc.b DUR+48,CONT
                dc.b DUR+16
                dc.b FS2
                dc.b DUR+64
                dc.b G2,CONT
                dc.b DUR+2
                dc.b A2
                dc.b DUR+64
                dc.b SLIDE+SPD_15,C3
                dc.b DUR+46,CONT
                dc.b DUR+16
                dc.b H2
                dc.b DUR+64
                dc.b A2,CONT,ENDPATT

patt31:         dc.b SND+SND_BD
                dc.b DUR+8
                dc.b C2
                dc.b SND+SND_CHORD
                dc.b ARP+CHG_MINOR
                dc.b E4
                dc.b E4,CONT
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_CHORD
                dc.b E4
                dc.b SND+SND_BD
                dc.b C2,CONT
                dc.b SND+SND_CHORD
                dc.b E4
                dc.b E4,CONT
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_CHORD
                dc.b E4,CONT,ENDPATT

patt32:         dc.b SND+SND_BD
                dc.b DUR+8
                dc.b C2
                dc.b SND+SND_CHORD
                dc.b ARP+CHG_MAJOR
                dc.b E4
                dc.b E4,CONT
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_CHORD
                dc.b E4
                dc.b SND+SND_BD
                dc.b C2,CONT
                dc.b SND+SND_CHORD
                dc.b E4
                dc.b E4,CONT
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_CHORD
                dc.b E4,CONT,ENDPATT

patt33:         dc.b SND+SND_FILTBASS
                dc.b DUR+8
                dc.b E2
                dc.b E2
                dc.b E2
                dc.b E2
                dc.b E2,CONT
                dc.b E2
                dc.b E2
                dc.b REST
                dc.b E2
                dc.b E2
                dc.b E2
                dc.b E2,CONT
                dc.b E2,CONT,ENDPATT

patt34:         dc.b DUR+8,REST
                dc.b SND+SND_LEAD
                dc.b H3
                dc.b E4
                dc.b H3
                dc.b E4
                dc.b H3
                dc.b E4
                dc.b FS4
                dc.b DUR+2
                dc.b FS4
                dc.b DUR+6
                dc.b SLIDE+SPD_100,G4
                dc.b DUR+8
                dc.b FS4
                dc.b E4,ENDPATT

patt35:         dc.b DUR+40
                dc.b H3,ENDPATT

patt36:         dc.b DUR+2
                dc.b D5
                dc.b DUR+38
                dc.b SLIDE+SPD_60,E5
                dc.b DUR+8,REST
                dc.b A3
                dc.b D4
                dc.b A3
                dc.b D4
                dc.b A3
                dc.b D4
                dc.b E4
                dc.b DUR+2
                dc.b E4
                dc.b DUR+6
                dc.b SLIDE+SPD_100,FS4
                dc.b DUR+8
                dc.b E4
                dc.b D4
                dc.b DUR+40
                dc.b A3,ENDPATT

patt37:         dc.b DUR+8,REST
                dc.b DUR+2
                dc.b H3
                dc.b DUR+6
                dc.b SLIDE+SPD_100,C4
                dc.b DUR+8
                dc.b H3
                dc.b A3
                dc.b H3
                dc.b A3
                dc.b G3
                dc.b E3
                dc.b G3
                dc.b E3
                dc.b D3
                dc.b C3
                dc.b D3
                dc.b DS3
                dc.b D3
                dc.b C3,ENDPATT

patt38:         dc.b DUR+5
                dc.b A3
                dc.b DUR+6
                dc.b G3
                dc.b DUR+5
                dc.b A3
                dc.b C4
                dc.b DUR+6
                dc.b A3
                dc.b DUR+5
                dc.b C4
                dc.b D4
                dc.b DUR+6
                dc.b C4
                dc.b DUR+5
                dc.b D4
                dc.b E4
                dc.b DUR+6
                dc.b D4
                dc.b DUR+5
                dc.b E4
                dc.b G4
                dc.b DUR+6
                dc.b E4
                dc.b DUR+5
                dc.b G4
                dc.b A4
                dc.b DUR+6
                dc.b G4
                dc.b DUR+5
                dc.b A4
                dc.b C5
                dc.b DUR+6
                dc.b H4
                dc.b DUR+5
                dc.b A4
                dc.b G4
                dc.b DUR+6
                dc.b E4
                dc.b DUR+5
                dc.b D4,ENDPATT

patt39:         dc.b SND+SND_WEIRD
                dc.b DUR+48
                dc.b E4
                dc.b H4
                dc.b DUR+32
                dc.b E4
                dc.b DUR+48
                dc.b G4
                dc.b D5
                dc.b DUR+32
                dc.b G4
                dc.b DUR+48
                dc.b C4
                dc.b G4
                dc.b DUR+8
                dc.b C4,CONT
                dc.b D4
                dc.b C4
                dc.b DUR+64
                dc.b A3,CONT,ENDPATT

patt40:         dc.b DUR+48
                dc.b E4
                dc.b H4
                dc.b DUR+32
                dc.b E4
                dc.b DUR+48
                dc.b G4
                dc.b D5
                dc.b DUR+32
                dc.b G4
                dc.b DUR+48
                dc.b C4
                dc.b DUR+32
                dc.b G4
                dc.b DUR+16
                dc.b A4
                dc.b H4
                dc.b D5
                dc.b DUR+2
                dc.b D5
                dc.b DUR+62,SLIDE+SPD_40,E5
                dc.b DUR+64,CONT,ENDPATT

patt41:         dc.b DUR+64,REST,REST,ENDPATT

        ;Kolmas biisi

song3_chn1:     dc.b 43,44,43,45
                dc.b 43,44,43,45
                dc.b 43,44,43,45
                dc.b 43,50,51,43
                dc.b 43,50,51,43
                dc.b 59
                dc.b 64,RESTART

song3_chn2:     dc.b 46,47
                dc.b 46,47
                dc.b 46,47
                dc.b 52,TR+3,52,TR,53,52
                dc.b 52,TR+3,52,TR,53,55
                dc.b 56,57,56,58
                dc.b TR+3,52,TR-2,52,TR,62,TR+5,52
                dc.b TR+3,52,TR-2,52,TR,63,TR,52,RESTART

song3_chn3:     dc.b 42,42,42,42
                dc.b 48
                dc.b 49
                dc.b 54
                dc.b 54
                dc.b 60,67,60,68
                dc.b 61,65,61,66,RESTART

patt42:         dc.b DUR+96,REST,REST,ENDPATT

patt43:         dc.b SND+SND_ACGTR
                dc.b DUR+12
                dc.b D3
                dc.b A3
                dc.b D4,CONT
                dc.b D5
                dc.b C5
                dc.b F4,CONT
                dc.b D3
                dc.b A3
                dc.b D4,CONT
                dc.b D5
                dc.b C5
                dc.b F4,CONT,ENDPATT

patt44:         dc.b D3
                dc.b AS3
                dc.b D4,CONT
                dc.b D5
                dc.b C5
                dc.b F4,CONT
                dc.b D3
                dc.b AS3
                dc.b D4,CONT
                dc.b D5
                dc.b C5
                dc.b F4,CONT,ENDPATT

patt45:         dc.b G3
                dc.b C4
                dc.b G4,CONT
                dc.b D5
                dc.b C5
                dc.b G4,CONT
                dc.b G3
                dc.b C4
                dc.b G4,CONT
                dc.b D5
                dc.b C5
                dc.b G4,CONT,ENDPATT

patt46:         dc.b SND+SND_BASS
                dc.b DUR+90
                dc.b D2,CONT
                dc.b DUR+12
                dc.b C2
                dc.b DUR+90
                dc.b AS1,CONT
                dc.b DUR+12
                dc.b E2,ENDPATT

patt47:         dc.b SND+SND_BASS
                dc.b DUR+84
                dc.b D2,CONT
                dc.b DUR+24
                dc.b F2
                dc.b DUR+96
                dc.b C2,CONT,ENDPATT

patt48:         dc.b SND+SND_FLUTE
                dc.b DUR+90
                dc.b F5,CONT
                dc.b DUR+6
                dc.b G5
                dc.b F5
                dc.b DUR+12
                dc.b E5
                dc.b C5
                dc.b DUR+84
                dc.b D5,CONT
                dc.b A4,CONT
                dc.b DUR+24
                dc.b F5
                dc.b DUR+2,F5
                dc.b DUR+95
                dc.b SLIDE+SPD_50,G5,CONT,ENDPATT

patt49:         dc.b SND+SND_CHORD2
                dc.b ARP+CHG_MINOR
                dc.b DUR+96
                dc.b D4
                dc.b DUR+72,REST
                dc.b ARP+CHG_MAJOR
                dc.b DUR+24
                dc.b C4
                dc.b DUR+96
                dc.b AS3
                dc.b REST
                dc.b ARP+CHG_MINOR
                dc.b D4
                dc.b DUR+72,REST
                dc.b ARP+CHG_MAJOR
                dc.b DUR+24
                dc.b F4
                dc.b ARP+CHG_MAJOR2
                dc.b DUR+96
                dc.b F4,REST,ENDPATT

patt50:         dc.b F3
                dc.b GS3
                dc.b C4,CONT
                dc.b F5
                dc.b C5
                dc.b F4,CONT
                dc.b F3
                dc.b GS3
                dc.b C4,CONT
                dc.b F5
                dc.b C5
                dc.b F4,CONT,ENDPATT

patt51:         dc.b D3
                dc.b A3
                dc.b D4,CONT
                dc.b D5
                dc.b C5
                dc.b F4,CONT
                dc.b D3
                dc.b AS3
                dc.b D4,CONT
                dc.b D5
                dc.b C5
                dc.b F4,CONT,ENDPATT

patt52:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b D2
                dc.b SND+SND_SNR2
                dc.b DUR+36
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+12
                dc.b D2
                dc.b DUR+24
                dc.b REST
                dc.b D2
                dc.b SND+SND_SNR2
                dc.b DUR+48
                dc.b C2,ENDPATT

patt53:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b D2
                dc.b SND+SND_SNR2
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+36
                dc.b C2
                dc.b DUR+48
                dc.b AS1
                dc.b SND+SND_SNR2
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+36
                dc.b E2,ENDPATT

patt54:         dc.b DUR+12,REST,REST
                dc.b SND+SND_FLUTE
                dc.b D5
                dc.b D5,CONT,CONT
                dc.b E5
                dc.b DUR+108
                dc.b F5
                dc.b DUR+12
                dc.b REST,REST
                dc.b F5
                dc.b F5,CONT,CONT
                dc.b G5
                dc.b DUR+72
                dc.b GS5
                dc.b DUR+36
                dc.b G5
                dc.b DUR+60
                dc.b F5
                dc.b DUR+36
                dc.b E5
                dc.b DUR+60
                dc.b C5
                dc.b DUR+36
                dc.b G4
                dc.b DUR+2,G4,DUR+90,SLIDE+SPD_40,A4
                dc.b DUR+100,CONT,ENDPATT

patt55:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b D2
                dc.b SND+SND_SNR2
                dc.b DUR+36
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+12
                dc.b D2
                dc.b DUR+24
                dc.b REST
                dc.b D2
                dc.b DUR+12
                dc.b D2
                dc.b E2
                dc.b F2
                dc.b G2,ENDPATT

patt56:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b G2
                dc.b SND+SND_SNR2
                dc.b DUR+36
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+12
                dc.b AS1
                dc.b DUR+24
                dc.b REST
                dc.b AS1
                dc.b SND+SND_SNR2
                dc.b C2,CONT,ENDPATT

patt57:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b AS1
                dc.b SND+SND_SNR2
                dc.b DUR+36
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+12
                dc.b F2
                dc.b DUR+24
                dc.b REST
                dc.b F2
                dc.b SND+SND_SNR2
                dc.b C2,CONT,ENDPATT

patt58:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b AS1
                dc.b SND+SND_SNR2
                dc.b DUR+36
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+12
                dc.b C2
                dc.b DUR+24
                dc.b REST
                dc.b C2
                dc.b SND+SND_SNR2
                dc.b C2,CONT,ENDPATT

patt59:         dc.b SND+SND_CHORD3
                dc.b ARP+CHG_MINOR
                dc.b DUR+84
                dc.b G4
                dc.b ARP+CHG_MAJOR
                dc.b DUR+108
                dc.b AS4
                dc.b ARP+CHG_MINOR
                dc.b DUR+84
                dc.b AS4
                dc.b DUR+108
                dc.b F4
                dc.b ARP+CHG_MINOR
                dc.b DUR+84
                dc.b G4
                dc.b ARP+CHG_MAJOR
                dc.b DUR+108
                dc.b AS4
                dc.b ARP+CHG_MINOR
                dc.b DUR+84
                dc.b AS4
                dc.b ARP+CHG_MAJOR
                dc.b DUR+108
                dc.b C5,ENDPATT

patt60:         dc.b DUR+24
                dc.b REST,REST
                dc.b D5
                dc.b DUR+12
                dc.b E5
                dc.b DUR+36
                dc.b E5
                dc.b DUR+24
                dc.b D5
                dc.b D5
                dc.b F5
                dc.b F5,CONT
                dc.b DUR+12
                dc.b F5,ENDPATT

patt61:         dc.b DUR+48
                dc.b REST
                dc.b SND+SND_LEAD
                dc.b DUR+18
                dc.b F4
                dc.b F4
                dc.b DUR+12
                dc.b F4
                dc.b DUR+2
                dc.b DS4,DUR+70,SLIDE+SPD_30,F4
                dc.b DUR+24
                dc.b G4
                dc.b DUR+72
                dc.b DS4
                dc.b DUR+12
                dc.b D4
                dc.b DUR+84
                dc.b C4
                dc.b DUR+24
                dc.b G4
                dc.b DUR+60
                dc.b F4
                dc.b DUR+36
                dc.b F4,ENDPATT

patt62:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b AS1
                dc.b SND+SND_SNR2
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+36
                dc.b AS1
                dc.b DUR+48
                dc.b H1
                dc.b SND+SND_SNR2
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+36
                dc.b H1,ENDPATT

patt63:         dc.b SND+SND_BDBASS
                dc.b DUR+48
                dc.b CS2
                dc.b SND+SND_SNR2
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+36
                dc.b CS2
                dc.b DUR+48
                dc.b DS2
                dc.b SND+SND_SNR2
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BDBASS
                dc.b DUR+36
                dc.b DS2,ENDPATT

patt64:         dc.b ARP+CHG_MINOR
                dc.b DUR+96
                dc.b F4,CONT
                dc.b C5,CONT
                dc.b AS4
                dc.b ARP+CHG_MAJOR
                dc.b H4
                dc.b G4,CONT
                dc.b ARP+CHG_MINOR
                dc.b F4,CONT
                dc.b C5,CONT
                dc.b ARP+CHG_MAJOR
                dc.b CS5
                dc.b DS5
                dc.b ARP+CHG_MINOR
                dc.b D5,CONT,ENDPATT

patt65:         dc.b DUR+60
                dc.b FS4
                dc.b DUR+36
                dc.b FS4
                dc.b DUR+96
                dc.b G4,CONT,ENDPATT

patt66:         dc.b DUR+60
                dc.b G4
                dc.b DUR+36
                dc.b G4
                dc.b DUR+2
                dc.b G4,DUR+94,SLIDE+SPD_25,A4
                dc.b DUR+96,REST,ENDPATT

patt67:         dc.b DUR+12
                dc.b DS5
                dc.b CS5
                dc.b DUR+108
                dc.b C5,ENDPATT

patt68:         dc.b DUR+12
                dc.b F5
                dc.b G5
                dc.b DUR+2,F5,DUR+106,SLIDE+SPD_40,G5,ENDPATT

        ;Neljs biisi

song4_chn1:     dc.b 69,69
                dc.b 69,69
                dc.b TR+2,79,80
                dc.b 79,TR+14,80
                dc.b TR+2,79,80
                dc.b 81
                dc.b 82
                dc.b 82
                dc.b 83,TR+4,83
                dc.b TR+2,84,85
                dc.b 83,TR+4,83
                dc.b TR+2,84,85
                dc.b 86,86
                dc.b 87
                dc.b 86,86
                dc.b 87
                dc.b 82
                dc.b 82
                dc.b TR+3,79,80
                dc.b 79,TR+15,80
                dc.b TR+3,79,80
                dc.b 81,88,RESTART


song4_chn2:     dc.b 70,70,70,73
                dc.b 70,70,70,74
                dc.b TR+2,77,78,TR,78,TR-2,77,78,TR,78
                dc.b TR+2,77,78,TR,78,TR-2,77,78,TR+7,78
                dc.b TR+2,77,78,TR,78,TR-2,77,78,TR+9,78
                dc.b TR+7,77,77,TR,77,TR+9,77
                dc.b TR+2,77,78,TR,78,TR+2,77,78,TR+5,78
                dc.b TR+2,77,78,TR,78,TR+2,77,78,TR+5,78
                dc.b TR,70,70,70,70
                dc.b 70,73,70,73
                dc.b 70,70,70,70
                dc.b 70,73,70,74
                dc.b TR+2,77,78,TR+7,78,TR+2,77,78,TR+7,78
                dc.b TR+5,77,77,TR+7,77,77
                dc.b TR+2,77,78,TR+7,78,TR+2,77,78,TR+7,78
                dc.b TR+5,77,77,TR+7,77,77
                dc.b TR+2,77,78,TR,78,TR+2,77,78,TR+5,78
                dc.b TR+2,77,78,TR,78,TR+2,77,78,TR+5,78
                dc.b TR+3,77,78,TR+1,78,TR-1,77,78,TR+1,78
                dc.b TR+3,77,78,TR+1,78,TR-1,77,78,TR+8,78
                dc.b TR+3,77,78,TR+1,78,TR-1,77,78,TR+10,78
                dc.b TR+8,77,77,TR+1,77,TR+10,77,89,89,RESTART

song4_chn3:     dc.b 71,72,71,72
                dc.b 71,72,71,72
                dc.b TR+2,75,76,TR,76,TR-2,75,76,TR,76
                dc.b TR+2,75,76,TR,76,TR-2,75,76,TR-5,76
                dc.b TR+2,75,76,TR,76,TR-2,75,76,TR-3,76
                dc.b TR-5,75,75,TR,75,TR+1,75
                dc.b TR+2,75,76,TR,76,TR+2,75,76,TR+5,76
                dc.b TR+2,75,76,TR,76,TR+2,75,76,TR+5,76
                dc.b TR+2,75,75,TR+4,75,75
                dc.b TR+5,75,75,TR+7,75,75
                dc.b TR+2,75,75,TR+4,75,75
                dc.b TR+5,75,75,TR+7,75,75
                dc.b TR+2,75,76,TR+7,76,TR+2,75,76,TR+7,76
                dc.b TR+5,75,75,TR+7,75,75
                dc.b TR+2,75,76,TR+7,76,TR+2,75,76,TR+7,76
                dc.b TR+5,75,75,TR+7,75,75
                dc.b TR+2,75,76,TR,76,TR+2,75,76,TR+5,76
                dc.b TR+2,75,76,TR,76,TR+2,75,76,TR+5,76
                dc.b TR+3,75,76,TR+1,76,TR-1,75,76,TR+1,76
                dc.b TR+3,75,76,TR+1,76,TR-1,75,76,TR-4,76
                dc.b TR+3,75,76,TR+1,76,TR-1,75,76,TR-2,76
                dc.b TR-4,75,75,TR+1,75,TR+2,75,TR+3,90,90,RESTART

patt69:         dc.b DUR+72,REST,REST,ENDPATT

patt70:         dc.b SND+SND_BD
                dc.b DUR+18
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2,CONT
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b C2,CONT,ENDPATT

patt71:         dc.b SND+SND_FILTBASS
                dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2,ENDPATT

patt72:         dc.b DUR+6
                dc.b AS1
                dc.b C2
                dc.b DS2
                dc.b C2
                dc.b DS2
                dc.b F2
                dc.b G2
                dc.b DS2
                dc.b C2
                dc.b D2
                dc.b C2
                dc.b AS1,ENDPATT

patt73:         dc.b SND+SND_BD
                dc.b DUR+18
                dc.b C2
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2,CONT
                dc.b SND+SND_SNR
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2,ENDPATT

patt74:         dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2,CONT
                dc.b SND+SND_SNR
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b SND+SND_TOM
                dc.b E2
                dc.b DUR+3
                dc.b E2
                dc.b E2
                dc.b DUR+6
                dc.b E2
                dc.b C2
                dc.b C2
                dc.b A1,ENDPATT

patt75:         dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b G2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b G2
                dc.b C2
                dc.b C2,ENDPATT

patt76:         dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b G2
                dc.b C2
                dc.b C2,ENDPATT

patt77:         dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2
                dc.b SND+SND_GTR
                dc.b ARP+CHG_GTR
                dc.b G3
                dc.b C3
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_GTR
                dc.b C3
                dc.b G3
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_GTR
                dc.b G3
                dc.b C3
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_GTR
                dc.b C4
                dc.b G3,ENDPATT

patt78:         dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2
                dc.b SND+SND_GTR
                dc.b G3
                dc.b C3
                dc.b SND+SND_SNR
                dc.b C2
                dc.b SND+SND_GTR
                dc.b C3
                dc.b G3,ENDPATT

patt79:         dc.b DUR+18
                dc.b REST
                dc.b SND+SND_LEAD3
                dc.b G3
                dc.b C4
                dc.b D4
                dc.b G4
                dc.b DUR+6
                dc.b F4
                dc.b G4
                dc.b F4
                dc.b DUR+18
                dc.b DS4
                dc.b D4
                dc.b DUR+6
                dc.b DS4
                dc.b D4
                dc.b DS4,ENDPATT

patt80:         dc.b DUR+63
                dc.b C4,CONT,ENDPATT

patt81:         dc.b DUR+18
                dc.b REST
                dc.b GS3
                dc.b C4
                dc.b D4
                dc.b DS4
                dc.b DUR+6
                dc.b D4
                dc.b DS4
                dc.b D4
                dc.b DUR+18
                dc.b C4,CONT
                dc.b REST
                dc.b AS3
                dc.b D4
                dc.b F4
                dc.b REST
                dc.b H3
                dc.b D4
                dc.b F4,ENDPATT

patt82:         dc.b SND+SND_LEAD4
                dc.b DUR+12
                dc.b ARP+CHG_CH1
                dc.b C5
                dc.b C5,CONT
                dc.b ARP+CHG_CH2
                dc.b C5
                dc.b C5,CONT
                dc.b ARP+CHG_CH1
                dc.b C5
                dc.b C5,CONT
                dc.b ARP+CHG_CH3
                dc.b AS4
                dc.b AS4,CONT
                dc.b ARP+CHG_CH1
                dc.b C5
                dc.b C5,CONT
                dc.b ARP+CHG_CH2
                dc.b C5
                dc.b C5,CONT
                dc.b ARP+CHG_CH1
                dc.b C5
                dc.b C5,CONT
                dc.b ARP+CHG_CH3
                dc.b DUR+36
                dc.b DS5,ENDPATT

patt83:         dc.b SND+SND_GTR
                dc.b DUR+6
                dc.b G4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b F4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b DS4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b C4
                dc.b D4
                dc.b C4
                dc.b D4
                dc.b DS4
                dc.b D4
                dc.b C4,ENDPATT

patt84:         dc.b DUR+6
                dc.b AS4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b A4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b G4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b DS4
                dc.b F4
                dc.b DS4
                dc.b F4
                dc.b G4
                dc.b F4
                dc.b DS4,ENDPATT

patt85:         dc.b DUR+6
                dc.b C5
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b AS4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b A4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b F4
                dc.b DUR+12
                dc.b A4
                dc.b AS4
                dc.b F4,ENDPATT

patt86:         dc.b SND+SND_LEAD2
                dc.b DUR+54
                dc.b G4
                dc.b DUR+18
                dc.b C4
                dc.b AS4
                dc.b DUR+6
                dc.b A4
                dc.b AS4
                dc.b A4
                dc.b DUR+18
                dc.b G4
                dc.b F4,ENDPATT

patt87:         dc.b DUR+54
                dc.b G4
                dc.b DUR+18
                dc.b DS4
                dc.b AS4
                dc.b DUR+6
                dc.b A4
                dc.b AS4
                dc.b A4
                dc.b DUR+18
                dc.b G4
                dc.b AS4
                dc.b DUR+2,AS4,DUR+71,SLIDE+SPD_35,C5,CONT,ENDPATT

patt88:         dc.b DUR+2,F4,DUR+71,SLIDE+SPD_25,G4,CONT
                dc.b DUR+72,REST,REST,ENDPATT

patt89:         dc.b SND+SND_BD
                dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b SND+SND_SNR
                dc.b DUR+36
                dc.b C2
                dc.b SND+SND_BD
                dc.b DUR+12
                dc.b C2
                dc.b C2
                dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b SND+SND_SNR
                dc.b DUR+36
                dc.b C2,ENDPATT

patt90:         dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b G2
                dc.b C2
                dc.b C2
                dc.b DUR+36
                dc.b C2
                dc.b DUR+12
                dc.b C2
                dc.b C2
                dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b DUR+36
                dc.b AS1,ENDPATT

        ;Viides biisi

song5_chn1:     dc.b 91,91,91,91
                dc.b 95
                dc.b 96
                dc.b 97,98,RESTART

song5_chn2:     dc.b 92,RESTART

song5_chn3:     dc.b 93,94,93,94
                dc.b 93,TR-4,93,TR,93,94
                dc.b 93,TR+1,93,TR,93,94
                dc.b 93,TR-4,93,TR,93,94
                dc.b 93,TR+1,93,TR,93,94,RESTART

patt91:         dc.b DUR+80,REST,REST,ENDPATT

patt92:         dc.b SND+SND_BD
                dc.b DUR+20
                dc.b C2
                dc.b DUR+60
                dc.b C2
                dc.b SND+SND_SNR2
                dc.b DUR+80
                dc.b C2,ENDPATT

patt93:         dc.b SND+SND_CAVEBASS
                dc.b DUR+20
                dc.b H1
                dc.b DUR+60
                dc.b H1
                dc.b DUR+80
                dc.b FS2,ENDPATT

patt94:         dc.b DUR+20
                dc.b H1
                dc.b DUR+60
                dc.b H1
                dc.b DUR+20
                dc.b H1
                dc.b D2
                dc.b CS2
                dc.b A1,ENDPATT

patt95:         dc.b SND+SND_CAVEFLUTE
                dc.b DUR+20
                dc.b H4
                dc.b DUR+70
                dc.b FS4,CONT
                dc.b DUR+20
                dc.b G4
                dc.b DUR+70
                dc.b D4,CONT
                dc.b DUR+80
                dc.b FS3,CONT
                dc.b REST,REST,ENDPATT

patt96:         dc.b DUR+20
                dc.b H4
                dc.b DUR+70
                dc.b FS4,CONT
                dc.b DUR+20
                dc.b G4
                dc.b DUR+70
                dc.b C5,CONT
                dc.b DUR+80
                dc.b H4,CONT
                dc.b REST,REST,ENDPATT

patt97:         dc.b SND+SND_WEIRD
                dc.b DUR+20
                dc.b D5
                dc.b CS5
                dc.b H4
                dc.b FS4
                dc.b D4
                dc.b CS4
                dc.b H3
                dc.b FS3
                dc.b G3
                dc.b H3
                dc.b CS4
                dc.b H3
                dc.b DUR+40
                dc.b D4
                dc.b CS4
                dc.b DUR+80
                dc.b FS3,CONT,CONT,CONT,ENDPATT

patt98:         dc.b DUR+20
                dc.b D5
                dc.b CS5
                dc.b H4
                dc.b FS4
                dc.b D4
                dc.b CS4
                dc.b H3
                dc.b FS3
                dc.b G3
                dc.b C4
                dc.b D4
                dc.b C4
                dc.b DUR+7
                dc.b G5
                dc.b DUR+6
                dc.b E5
                dc.b DUR+7
                dc.b C5
                dc.b G4
                dc.b DUR+6
                dc.b E4
                dc.b DUR+7
                dc.b C4
                dc.b G3
                dc.b DUR+6
                dc.b C4
                dc.b DUR+7
                dc.b E4
                dc.b G4
                dc.b DUR+6
                dc.b E4
                dc.b DUR+7
                dc.b C4
                dc.b DUR+80
                dc.b H3,CONT,CONT,CONT,ENDPATT

        ;Kuudes ja yhdestoista biisi

song6_chn1:     dc.b 101
song11_chn1:    dc.b ENDSONG
song6_chn2:     dc.b 100
song11_chn2:    dc.b ENDSONG
song6_chn3:     dc.b 99
song11_chn3:    dc.b ENDSONG

patt99:         dc.b SND+SND_LEAD4
                dc.b ARP+CHG_PULSE
                dc.b DUR+6
                dc.b E4
                dc.b D4
                dc.b C4
                dc.b A3
                dc.b E3
                dc.b D3
                dc.b D3
                dc.b F3
                dc.b G3
                dc.b A3
                dc.b G3
                dc.b F3
                dc.b DUR+72
                dc.b C4,DUR+36,REST,ENDPATT

patt100:        dc.b SND+SND_BDBASS
                dc.b DUR+18
                dc.b A1
                dc.b E2
                dc.b F2
                dc.b AS1
                dc.b DUR+72
                dc.b A1,DUR+36,REST,ENDPATT

patt101:        dc.b SND+SND_LEAD
                dc.b DUR+6
                dc.b C5
                dc.b H4
                dc.b A4
                dc.b E4
                dc.b C4
                dc.b H3
                dc.b AS3
                dc.b D4
                dc.b E4
                dc.b F4
                dc.b E4
                dc.b D4
                dc.b DUR+72
                dc.b E4,DUR+36,REST,ENDPATT

        ;Seitsems biisi

song7_chn1:     dc.b 102,102
                dc.b 109,116,109,116
                dc.b 111,112
                dc.b 109,116,109,116,RESTART

song7_chn2:     dc.b 103,103
                dc.b TR+3,105,TR+1,105,TR,105,TR-2,105
                dc.b TR+3,105,TR-2,105,TR+5,105,TR,110
                dc.b TR+3,105,TR+1,105,TR,105,TR-2,105
                dc.b TR+3,105,TR-2,105,TR+5,105,TR,105
                dc.b TR+1,105,105,TR+3,105,105
                dc.b TR+1,105,105,TR,105,105
                dc.b TR+3,105,TR+1,105,TR,105,TR-2,105
                dc.b TR+3,105,TR-2,105,TR+5,105,TR,110
                dc.b TR,113,RESTART

song7_chn3:     dc.b 108,104
                dc.b TR+3,107,TR+1,107,TR,106,TR-2,107
                dc.b TR+3,107,TR-2,107,TR+5,106,TR,106
                dc.b TR+3,107,TR+1,107,TR,106,TR-2,107
                dc.b TR+3,107,TR-2,107,TR+5,106,TR,106
                dc.b TR+1,107,107,TR+3,107,107
                dc.b TR+1,107,107,TR,106,106
                dc.b TR+3,107,TR+1,107,TR,106,TR-2,107
                dc.b TR+3,107,TR-2,107,TR+5,106,TR,106
                dc.b 114,109,115,RESTART

patt102:        dc.b DUR+96,REST,ENDPATT

patt103:        dc.b SND+SND_BASS
                dc.b DUR+18
                dc.b D2
                dc.b DUR+6
                dc.b D2
                dc.b D2,CONT
                dc.b DUR+18
                dc.b D2
                dc.b DUR+6
                dc.b D2
                dc.b DUR+12
                dc.b D2
                dc.b D3
                dc.b D2,ENDPATT

patt104:        dc.b SND+SND_SNR
                dc.b DUR+6
                dc.b C2
                dc.b C2,CONT
                dc.b C2
                dc.b SND+SND_TOM
                dc.b E2
                dc.b DUR+12
                dc.b E2
                dc.b C2
                dc.b DUR+3
                dc.b C2
                dc.b C2
                dc.b DUR+6
                dc.b C2
                dc.b C2
                dc.b DUR+12
                dc.b A1
                dc.b A1,ENDPATT

patt105:        dc.b SND+SND_BASS
                dc.b DUR+18
                dc.b D2
                dc.b DUR+6
                dc.b D2
                dc.b SND+SND_SNR
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BASS
                dc.b A2
                dc.b D2
                dc.b DUR+6
                dc.b A2
                dc.b D2
                dc.b SND+SND_SNR
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BASS
                dc.b D2,ENDPATT

patt106:        dc.b SND+SND_BD
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b ARP+CHG_MINOR
                dc.b DUR+6
                dc.b D4
                dc.b D4
                dc.b DUR+12
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b D4
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b DUR+6
                dc.b D4
                dc.b D4
                dc.b SND+SND_BD
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b D4,ENDPATT

patt107:        dc.b SND+SND_BD
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b ARP+CHG_MAJOR
                dc.b DUR+6
                dc.b D4
                dc.b D4
                dc.b DUR+12
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b D4
                dc.b SND+SND_BD
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b DUR+6
                dc.b D4
                dc.b D4
                dc.b SND+SND_BD
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_CHORD2
                dc.b D4,ENDPATT

patt108:        dc.b SND+SND_BD
                dc.b DUR+24
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b C2,ENDPATT

patt109:        dc.b SND+SND_LEAD4
                dc.b ARP+CHG_PULSE
                dc.b DUR+60
                dc.b A4
                dc.b DUR+4
                dc.b G4
                dc.b A4
                dc.b G4
                dc.b DUR+12
                dc.b F4
                dc.b A4
                dc.b G4
                dc.b DUR+84
                dc.b DS4
                dc.b DUR+60
                dc.b F4
                dc.b DUR+4
                dc.b E4
                dc.b F4
                dc.b E4
                dc.b DUR+12
                dc.b D4
                dc.b A3
                dc.b DUR+96
                dc.b G3
                dc.b DUR+60
                dc.b A4
                dc.b DUR+4
                dc.b A4
                dc.b AS4
                dc.b A4
                dc.b DUR+12
                dc.b G4
                dc.b F4
                dc.b G4
                dc.b DUR+84
                dc.b C5
                dc.b DUR+60
                dc.b D5
                dc.b DUR+12
                dc.b A4
                dc.b D5
                dc.b E5,ENDPATT

patt110:        dc.b SND+SND_BASS
                dc.b DUR+18
                dc.b D2
                dc.b DUR+6
                dc.b D2
                dc.b SND+SND_SNR
                dc.b DUR+12
                dc.b C2
                dc.b SND+SND_BASS
                dc.b A2
                dc.b D2
                dc.b DUR+6
                dc.b A2
                dc.b D2
                dc.b SND+SND_SNR
                dc.b C2
                dc.b DUR+3
                dc.b C2
                dc.b C2
                dc.b DUR+6
                dc.b C2
                dc.b C2,ENDPATT

patt111:        dc.b DUR+36,REST
                dc.b SND+SND_LEAD3
                dc.b DUR+12
                dc.b AS3
                dc.b DS4,CONT
                dc.b F4
                dc.b DUR+36
                dc.b G4
                dc.b DUR+12
                dc.b F4
                dc.b DUR+24
                dc.b DS4
                dc.b G4
                dc.b DUR+108
                dc.b A4
                dc.b DUR+96,REST,ENDPATT

patt112:        dc.b DUR+36,REST
                dc.b DUR+12
                dc.b AS3
                dc.b DS4,CONT
                dc.b D4
                dc.b DUR+36
                dc.b C4
                dc.b DUR+12
                dc.b AS3
                dc.b DUR+24
                dc.b A3
                dc.b G3
                dc.b DUR+2,G3,DUR+106,SLIDE+SPD_20,A3
                dc.b DUR+96,REST,ENDPATT

patt113:        dc.b SND+SND_BDBASS
                dc.b DUR+96
                dc.b F2
                dc.b DS2
                dc.b D2
                dc.b C2
                dc.b F2
                dc.b C2
                dc.b G2
                dc.b D2,ENDPATT

patt114:        dc.b DUR+6,REST,ENDPATT

patt115:        dc.b DUR+2,E5,DUR+88,SLIDE+SPD_40,F5,ENDPATT

patt116:        dc.b DUR+2,E5,DUR+94,SLIDE+SPD_40,F5,ENDPATT

        ;Kahdeksas biisi

song8_chn1:     dc.b 122
                dc.b 122
                dc.b 143
                dc.b 143
                dc.b 147
                dc.b 148,RESTART

song8_chn2:     dc.b 119,120,119,121
                dc.b 119,140,119,141
                dc.b 142,144
                dc.b 142,145,145
                dc.b 146,TR+2,146,TR-1,146,TR,146
                dc.b TR,146,TR+2,146,TR-1,146,TR+3,146,RESTART

song8_chn3:     dc.b 117,117,TR-2,117,117,TR-4,117,117,TR+3,118,TR+2,118,TR,118,TR-5,118
                dc.b TR,117,117,TR-2,117,117,TR+5,117,117,TR+3,118,TR+2,118,TR,118,TR-5,118
                dc.b TR+4,117,117,TR+2,117,117,TR+1,117,117,TR,117,TR+2,117
                dc.b TR+4,117,117,TR+2,117,117,TR+1,117,117,TR,117,TR+2,117
                dc.b TR-2,117,117,TR,117,117,TR-3,117,117,TR-2,117,117
                dc.b TR-2,117,117,TR,117,117,TR-3,117,117,TR+1,117,117,RESTART

patt117:        dc.b SND+SND_BDBASS
                dc.b DUR+8,D2
                dc.b SND+SND_BASS,D3
                dc.b SND+SND_SNR,C2
                dc.b SND+SND_BASS,D3
                dc.b SND+SND_BDBASS,D2
                dc.b SND+SND_BASS,D3
                dc.b SND+SND_SNR,C2
                dc.b SND+SND_BASS,D3,ENDPATT

patt118:        dc.b SND+SND_BDBASS,D2,D3,SND+SND_SNR,C2,SND+SND_BASS,D3,ENDPATT

patt119:        dc.b SND+SND_LEAD4,ARP+CHG_PULSE,DUR+24,REST
                dc.b DUR+8
                dc.b D4
                dc.b F4,G4,CONT
                dc.b DUR+24,A4,DUR+16,G4,F4,G4,ENDPATT

patt120:        dc.b DUR+8,REST
                dc.b A3,C4,D4
                dc.b F4,G4,CONT
                dc.b DUR+24,A4,DUR+16,G4,C5,A4,ENDPATT

patt121:        dc.b DUR+8
                dc.b A4,CONT,G4
                dc.b DUR+24,G4,DUR+8,F4
                dc.b DUR+24,F4,DUR+8,E4
                dc.b DUR+40,E4,ENDPATT

patt122:        dc.b SND+SND_CHORD3,ARP+CHG_CH1
                dc.b DUR+64,D4,CONT
                dc.b ARP+CHG_CH3,C4,CONT,AS3,CONT
                dc.b DUR+32,F4,ARP+CHG_CH2,E4,ARP+CHG_CH1,D4,ARP+CHG_CH2,CS4,ENDPATT

patt140:        dc.b DUR+8,REST
                dc.b A3,C4,D4
                dc.b F4,G4,CONT
                dc.b DUR+24,A4,DUR+2,C5,DUR+14,SLIDE+SPD_100,D5,DUR+16,D5,E5,ENDPATT

patt141:        dc.b DUR+8
                dc.b C5,CONT,AS4
                dc.b DUR+24,AS4,DUR+8,A4
                dc.b DUR+24,A4,DUR+8,G4
                dc.b DUR+16,G4,DUR+24,SLIDE+SPD_40,A4,ENDPATT

patt142:        dc.b SND+SND_LEAD2
                dc.b DUR+48,A4,DUR+16,FS4
                dc.b DUR+24,GS4,A4,DUR+16,FS4
                dc.b DUR+48,H4,DUR+16,FS4
                dc.b DUR+24,GS4,A4,DUR+16,FS4
                dc.b DUR+48,H4,DUR+16,DS4
                dc.b DUR+24,A4,H4,DUR+16,GS4,ENDPATT

patt143:        dc.b ARP+CHG_CH1
                dc.b DUR+64,FS4,CONT
                dc.b ARP+CHG_CH3
                dc.b E4,CONT
                dc.b ARP+CHG_CH2
                dc.b DS4,CONT
                dc.b ARP+CHG_CH3
                dc.b D4,E4,ENDPATT

patt144:        dc.b DUR+8,A4,GS4,DUR+40,FS4,DUR+72,SLIDE+SPD_40,E4,ENDPATT

patt145:        dc.b DUR+8,A4,GS4,DUR+48,FS4,ENDPATT

patt146:        dc.b SND+SND_STRINGS,DUR+8
                dc.b G3,C4,E4,C4,E4,G4,E4,G4,C5,G4,C5,E5,C5,G4,E4,C4,ENDPATT

patt147:        dc.b DUR+64
                dc.b ARP+CHG_CH3,C4,ARP+CHG_CH2,E4
                dc.b ARP+CHG_CH3,D4,ARP+CHG_CH2,FS4
                dc.b ARP+CHG_CH3,H3,ARP+CHG_CH2,DS4
                dc.b ARP+CHG_CH3,C4,ARP+CHG_CH2,E4,ENDPATT

patt148:        dc.b ARP+CHG_CH3,C4,ARP+CHG_CH2,E4
                dc.b ARP+CHG_CH3,D4,ARP+CHG_CH2,FS4
                dc.b ARP+CHG_CH3,H3,ARP+CHG_CH2,DS4
                dc.b ARP+CHG_CH3,DS4,ARP+CHG_CH2,G4,ENDPATT

        ;Yhdekss biisi

song9_chn1:     dc.b TR+1,125,125
                dc.b 126,126,127,TR+3,127
                dc.b TR+1,128,128,RESTART
song9_chn2:     dc.b TR+1,123,123,TR+3,123,123
                dc.b TR+1,123,123,TR+3,123,123
                dc.b TR+1,123,123,TR+3,123,123
                dc.b TR+1,129,RESTART
song9_chn3:     dc.b TR+1,124,RESTART

patt123:        dc.b SND+SND_ROCKGTR
                dc.b DUR+10
                dc.b H2,H2,H2,A2
                dc.b DUR+60
                dc.b H2,CONT,ENDPATT

patt124:        dc.b SND+SND_FILTBASS
                dc.b DUR+80
                dc.b H1,CONT,G1,CONT
                dc.b A1,CONT,FS2,CONT,ENDPATT

patt125:        dc.b DUR+80,REST,REST,REST,REST,ENDPATT

patt126:        dc.b SND+SND_LEAD
                dc.b DUR+10
                dc.b D3,D3,D3,CS3
                dc.b DUR+60
                dc.b D3,CONT,ENDPATT

patt127:        dc.b DUR+10
                dc.b E3,E3,E3,D3
                dc.b DUR+60
                dc.b E3,CONT,ENDPATT

patt128:        dc.b DUR+10
                dc.b D5,CS5,H4,FS4
                dc.b DUR+60
                dc.b D4,CONT
                dc.b DUR+10
                dc.b H4,A4,G4,D4
                dc.b DUR+60
                dc.b H3,CONT
                dc.b DUR+10
                dc.b CS5,H4,A4,E4
                dc.b DUR+60
                dc.b CS4,CONT
                dc.b DUR+10
                dc.b CS5,D5
                dc.b DUR+2
                dc.b D5,DUR+69,SLIDE+SPD_40,E5
                dc.b CONT,ENDPATT

patt129:        dc.b SND+SND_ROCKGTR
                dc.b DUR+10
                dc.b FS4,E4,D4,H3
                dc.b DUR+60
                dc.b FS3,CONT
                dc.b DUR+10
                dc.b D4,CS4,H3,FS3
                dc.b DUR+60
                dc.b D3,CONT
                dc.b DUR+10
                dc.b E4,D4,CS4,A3
                dc.b DUR+60
                dc.b E3,CONT
                dc.b DUR+10
                dc.b E4,FS4
                dc.b DUR+2
                dc.b FS4,DUR+69,SLIDE+SPD_40,G4
                dc.b CONT,ENDPATT

        ;Kymmenes biisi

song10_chn1:    dc.b 137,130,133,134,135,136,136
                dc.b TR+1,130,133,134,135,136,136,RESTART

song10_chn2:    dc.b 139,132,132,132,132,132,132
                dc.b 132,132,132,132,132,132,RESTART

song10_chn3:    dc.b 138,131,131,131,131,131,131
                dc.b TR+1,131,131,131,131,131,131,RESTART


patt130:        dc.b SND+SND_GTR,ARP+CHG_GTR,DUR+7
                dc.b C4,GS3,F3,GS3,F4,C4
                dc.b E4,C4,G3,C4,G4,E4
                dc.b F4,C4,GS3,C4,GS4,F4
                dc.b AS3,C4,CS4,C4,AS3,GS3,ENDPATT

patt131:        dc.b DUR+7
                dc.b F2,F2,F2,G2,GS2,AS2
                dc.b C3,C3,C3,CS3,C3,AS2
                dc.b F2,F2,F2,F2,G2,GS2
                dc.b AS2,AS2,AS2,C3,CS3,C3,ENDPATT

patt132:        dc.b SND+SND_BD,DUR+7
                dc.b C2,C2,C2,C2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_BD
                dc.b C2,C2,C2,C2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_BD
                dc.b C2,C2,C2,C2
                dc.b SND+SND_SNR
                dc.b C2,CONT
                dc.b SND+SND_BD
                dc.b C2,C2,C2,C2
                dc.b SND+SND_SNR
                dc.b C2,CONT,ENDPATT

patt133:        dc.b C4,GS3,F3,GS3,F4,C4
                dc.b E4,C4,G3,C4,G4,E4
                dc.b F4,C4,GS3,C4,GS4,F4
                dc.b CS5,C5,AS4,GS4,G4,F4,ENDPATT

patt134:        dc.b SND+SND_WEIRD,DUR+28
                dc.b C5,DUR+7,AS4,C5
                dc.b DUR+28
                dc.b CS5,DUR+7,DS5,CS5
                dc.b DUR+14
                dc.b C5,CONT,GS4
                dc.b DUR+42
                dc.b F4,ENDPATT

patt135:        dc.b DUR+28
                dc.b C5,DUR+7,AS4,C5
                dc.b DUR+28
                dc.b CS5,DUR+7,E5,G5
                dc.b DUR+14
                dc.b F5,CONT,C6
                dc.b DUR+2
                dc.b C6,DUR+40,SLIDE+SPD_100,CS6,ENDPATT

patt136:        dc.b SND+SND_FLUTE,DUR+7
                dc.b C5,GS4,F4,GS4,F5,C5
                dc.b E5,C5,G4,C5,G5,E5
                dc.b F5,C5,GS4,C5,GS5,F5
                dc.b AS4,C5,CS5,C5,AS4,GS4,ENDPATT

patt137:        dc.b SND+SND_WEIRD,DUR+42
                dc.b GS3,CONT,ENDPATT

patt138:        dc.b SND+SND_BASS,DUR+42
                dc.b F2,CONT,ENDPATT

patt139:        dc.b SND+SND_BD,DUR+42
                dc.b C2
                dc.b SND+SND_SNR
                dc.b DUR+7
                dc.b C2
                dc.b C2
                dc.b C2
                dc.b SND+SND_TOM
                dc.b E2
                dc.b E2
                dc.b C2,ENDPATT

        ;Kahdestoista biisi (bonusten laskenta)

song12_chn1:    dc.b 152,ENDSONG
song12_chn2:    dc.b 151,ENDSONG
song12_chn3:    dc.b 149,TR-2,149,TR,149,TR+3,149,TR,149,TR-2,149,TR,150,ENDSONG

patt149:        dc.b SND+SND_BDBASS
                dc.b DUR+12,E2,DUR+6,E2,E2,E2,E2
                dc.b SND+SND_SNR
                dc.b DUR+12,C2,SND+SND_BDBASS,DUR+6,E2,E2,E2,E2,ENDPATT

patt150:        dc.b SND+SND_SNR
                dc.b DUR+12,C2,DUR+4,C2,C2,C2,DUR+12,C2
                dc.b C2,DUR+4,C2,C2,C2,DUR+12,C2
                dc.b SND+SND_BDBASS
                dc.b DUR+12,E2,DUR+60,REST,ENDPATT

patt151:        dc.b SND+SND_LEAD4,ARP+CHG_PULSE
                dc.b DUR+18,E4,CONT,H3,E4
                dc.b D4,CONT,E4,FS4
                dc.b E4,CONT,H3,E4
                dc.b G4,D4,C4,H3
                dc.b E4,CONT,H3,E4
                dc.b D4,CONT,A3,FS4
                dc.b DUR+72,GS4,DUR+12,GS4,DUR+60,REST,ENDPATT

patt152:        dc.b SND+SND_CHORD3, ARP+CHG_CH3
                dc.b DUR+72,E4,D4,E4,G4,E4,D4,E4,REST,ENDPATT

        ;Kolmastoista biisi (loppu)

song13_chn1:    dc.b 154,154
                dc.b 156,156,156,163,156,156,156,163,TR+2,156,156,RESTART

song13_chn2:    dc.b 154,154
                dc.b 157,159,160,162
                dc.b TR+3,165,TR-2,165,TR,166,TR-5,166,TR-4,165,TR+3,165,TR-4,165,TR-2,165
                dc.b TR,159,160,162
                dc.b TR+5,165,TR,165,TR+2,166,TR-3,166,TR-2,165,TR+5,165,TR-2,165,TR,165
                dc.b TR+5,165,TR,165,TR+2,166,TR-3,166,TR-2,165,TR+5,165,TR-2,165,TR,165,RESTART

song13_chn3:    dc.b 153
                dc.b 155,158,158,161
                dc.b TR+3,164,TR-2,164,TR,164,TR+7,164,TR+8,164,TR+3,164,TR+8,164,TR+10,164
                dc.b TR+3,164,TR-2,164,TR,164,TR+7,164,TR+8,164,TR+3,164,TR+8,164,TR+10,164
                dc.b TR+3,164,TR-2,164,TR,164,TR+7,164,TR+8,164,TR+3,164,TR+8,164,TR+10,164
                dc.b TR+8,164,TR+3,164,TR,164,TR+7,164,TR+8,164,TR+3,164,TR+5,164,TR+10,164
                dc.b TR+5,164,TR,164,TR+2,164,TR+9,164,TR+10,164,TR+5,164,TR+10,164,TR+12,164
                dc.b TR+2,159,RESTART

patt153:        dc.b SND+SND_BASS
                dc.b DUR+2,C3,DUR+94,SLIDE+SPD_100,C2,DUR+96,CONT,ENDPATT

patt154:        dc.b DUR+96,REST,ENDPATT

patt155:        dc.b DUR+96,C2,H1,A1,E2,F1,C2,F1,G1,ENDPATT

patt156:        dc.b SND+SND_LEAD
                dc.b DUR+48,E4,DUR+24,C4,G4
                dc.b DUR+36,G4,DUR+6,D4,C4,DUR+48,D4
                dc.b DUR+48,C4,DUR+24,A3,E4
                dc.b DUR+36,E4,DUR+6,H3,A3,DUR+48,G3
                dc.b DUR+48,A3,DUR+24,F3,A3
                dc.b DUR+36,C4,DUR+6,C4,D4,DUR+48,E4
                dc.b DUR+24,C4,D4,E4,C4,D4,E4,F4,D4,ENDPATT

patt157:        dc.b SND+SND_STRINGS
                dc.b DUR+96,E3,D3,C3,H2,A2,G2,A2,H2,ENDPATT

patt158:        dc.b SND+SND_BDBASS,C2,H1,A1,E2,F1,C2,F1,G1,ENDPATT

patt159:        dc.b SND+SND_LEAD5
                dc.b DUR+48,C4,DUR+24,D4,E4
                dc.b DUR+36,D4,DUR+6,H3,A3,DUR+48,H3
                dc.b DUR+48,A3,DUR+24,E3,A3
                dc.b DUR+36,A3,DUR+6,G3,A3,DUR+48,H3
                dc.b DUR+48,C4,DUR+24,D4,E4
                dc.b DUR+36,E4,DUR+6,E4,H3,DUR+48,C4
                dc.b DUR+24,A3,H3,C4,A3,H3,C4,D4,H3,ENDPATT

patt160:        dc.b SND+SND_STRINGS
                dc.b DUR+48,G4,DUR+24,F4,E4
                dc.b DUR+42,H4,DUR+6,A4,DUR+48,G4
                dc.b DUR+48,C5,DUR+24,H4,A4
                dc.b DUR+42,G4,DUR+6,A4,DUR+48,H4
                dc.b DUR+48,A4,DUR+24,G4,F4
                dc.b DUR+42,E4,DUR+6,F4,DUR+48,E4
                dc.b DUR+24,A4,H4,C5,A4,H4,C5,D5,H4,ENDPATT

patt161:        dc.b DUR+96,F1,C2,A1,E2,F2,C2,D2,G1,ENDPATT

patt162:        dc.b SND+SND_LEAD4,ARP+CHG_PULSE,DUR+72,C5,DUR+16,H4,DUR+8,A4
                dc.b DUR+96,G4
                dc.b DUR+72,E5,DUR+16,D5,DUR+8,C5
                dc.b DUR+96,H4
                dc.b DUR+72,A4,DUR+16,G4,DUR+8,F4
                dc.b DUR+96,G4
                dc.b DUR+72,F4,DUR+16,E4,DUR+8,D4
                dc.b DUR+96,H4,ENDPATT

patt163:        dc.b SND+SND_HARPSI,DUR+24,A4,G4,F4,A4
                dc.b G4,F4,E4,H4
                dc.b C5,H4,A4,H4
                dc.b H4,A4,G4,E4
                dc.b F4,E4,D4,F4
                dc.b E4,D4,C4,E4
                dc.b D4,E4,F4,D4
                dc.b E4,F4,G4,CONT,ENDPATT

patt164:        dc.b SND+SND_BDBASS,DUR+12,A1,SND+SND_SHARPBASS,DUR+6,A1,A1
                dc.b SND+SND_SNR,DUR+12,C2,SND+SND_BASS,DUR+6,A1,A1
                dc.b SND+SND_BDBASS,DUR+12,A1,SND+SND_SHARPBASS,DUR+6,A1,A1
                dc.b SND+SND_SNR,DUR+12,C2,SND+SND_BDBASS,A1,ENDPATT

patt165:        dc.b SND+SND_CHORD2,ARP+CHG_CH3
                dc.b DUR+12,A4,DUR+6,REST
                dc.b DUR+30,A4
                dc.b DUR+12,A4,DUR+6,REST
                dc.b DUR+30,A4,ENDPATT

patt166:        dc.b SND+SND_CHORD2,ARP+CHG_CH1
                dc.b DUR+12,A4,DUR+6,REST
                dc.b DUR+30,A4
                dc.b DUR+12,A4,DUR+6,REST
                dc.b DUR+30,A4,ENDPATT

        ;Testataan cutscene-ylikirjoitus

                org CUTSCENE
                dc.b 0

